//打开文件
function openFile() {
    xReader.openFile('/opt/Yozosoft/xReader/Resource/ReaderManual.ofd', 'false', '');
}
var openFile = new CreateFunction(
    "功能说明：\n" +
    "打开指定的本地或远程OFD或PDF文件。\n" +
    "接口原型：\n" +
    "boolean openFile(string filename, boolean readOnly, string strSaveUrl);\t（标准）\n" +
    "参数说明：\n" +
    "(1)filename：string，可以是本地文件路径、远程文件路径（http链接）。\n" +
    "(2)readOnly：boolean，是否以只读模式打开。true-只读，false-非只读。\n" +
    "(3)strSaveUrl：string，远程保存地址。以只读模式打开时无效。\n" +
    "返回值：\n" +
    "\t调用接口是否成功（true：成功，false：失败）。\n" +
    "调用示例：\n" +
    "(1)以非只读模式打开本地文件\n" +
    "xReader.openFile(\"D:/files/xxxxx.ofd\", false);\n" +
    "(2)以只读模式打开远程文件\n" +
    "xReader.openFile(\"http://localhost:88/files/xxxxxxxx\", true);\n" +
    "(3)打开文件并保存到远程地址\n" +
    "xReader.openFile(\"D:/files/xxxxx.ofd\", false, \"http://localhost:88/files/xxxxxxxx\");" , openFile);

//打开远程文件
function openurl() {
    xReader.openurl('http://localhost:88/files/xxxx', '', 'false');
}
var openurl = new CreateFunction(
    "功能说明：\n" +
    "打开指定的远程OFD或PDF文件。\n" +
    "接口原型：\n" +
    "boolean openurl(string strFileUrl, string strSaveUrl, boolean readOnly);\n" +
    "参数说明：\n" +
    "(1)strFileUrl：string，远程文件路径（http链接）。\n" +
    "(2)strSaveUrl：string，远程保存地址。以只读模式打开时无效。\n" +
    "(3)readOnly：boolean，是否以只读模式打开。true-只读，false-非只读。\n" +
    "返回值：\n" +
    "\t调用接口是否成功（true：成功，false：失败）。\n" +
    "调用示例：\n" +
    "(1)以只读模式打开远程文件\n" +
    "xReader.openurl(\"http://localhost:88/files/xxxxxxxx\", \"\", true);\n" +
    "(2)打开文件并保存到远程地址\n" +
    "xReader.openurl(\"http://localhost:88/files/xxxxxxxx\", \"http://localhost:88/files/xxxxxxxx\", false);" , openurl);

function openFileDlg() {
    xReader.openFileDlg();
}
var openFileDlg = new CreateFunction("功能说明:\n" +
    "弹出打开文件对话框，选择本地OFD或PDF文件打开。\n" +
    "接口原型:\n" +
    "void openFileDlg();\n" +
    "参数说明:\n" +
    "无。\n" +
    "返回值:\n" +
    "无。\n", openFileDlg);

function saveFile0(){
    xReader.saveFile();
}
var saveFile0 = new CreateFunction(
    "功能说明：\n" +
    "保存当前打开的文档，编辑后保存为原始文件，其中包含编辑后变更的内容。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件编辑后保存。\n" +
    "接口原型：\n" +
    "void saveFile();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", saveFile0);
//保存文件
function saveFile() {
    xReader.saveFile('');
}
var saveFile = new CreateFunction(
    "功能说明：\n" +
    "将当前打开的文件保存到指定位置，保存为远程文件时应使用HTTP通用文件上传协议。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件编辑后保存。\n" +
    "接口原型：\n" +
    "boolean saveFile(string strURL);\t\t（标准）\n" +
    "参数说明：\n" +
    "(1) strURL：string，保存的位置，可以是本地文件路径、远程文件路径（http链接）。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", saveFile);


//关闭文件
function closeFile() {
    xReader.closeFile('');
}
var closeFile = new CreateFunction(
    "功能说明：\n" +
    "关闭当前打开的文档。\n" +
    "接口原型：\n" +
    "boolean closeFile(boolean bAutoSave)\t （标准）\n" +
    "参数说明：\n" +
    "(1)bAutoSave：文件被修改后关闭时是否自动保存文件，true：自动保存文件并关闭；false：弹窗选择是否保存文件，缺省时值为false。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", closeFile);
function setUserName() {
    xReader.setUserName("testUser");
}
var setUserName = new CreateFunction(
    "功能说明：\n" +
    "设置当前的用户名（用于注释和操作日志）。\n" +
    "特殊说明：\n" +
    "关闭插件后置空。\n" +
    "接口原型：\n" +
    "boolean setUserName(string userName);\t（标准）\n" +
    "参数说明：\n" +
    "(1) userName：string，用户名。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", setUserName);
function getUserName() {
    xReader.getUserName();
}
var getUserName = new CreateFunction(
    "功能说明：\n" +
    "获取当前的用户名。\n" +
    "接口原型：\n" +
    "string getUserName();\t\t（标准）\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "用户名字符串。\n", getUserName);
function getTaggedText() {
    xReader.getTaggedText('');
}
var getTaggedText = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开文档指定名称的公文语义标引的内容。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件获取语义内容。\n" +
    "接口原型：\n" +
    "string getTaggedText(string tagId);\t（标准）\n" +
    "参数说明：\n" +
    "(1) tagId：string，语义标引的唯一定位符，应符合文档内标引文件的实际结构，例如“公文体/版头/密级”，见GB/T 33476.1-2016。\n" +
    "返回值： \n" +
    "成功返回公文语义标引的内容，失败为空。\n" , getTaggedText);
function setMetaData() {
    xReader.setMetaData('', '');
}
var setMetaData = new CreateFunction(
    "功能说明：\n" +
    "为当前打开的文档设置元数据。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件设置元数据。\n" +
    "接口原型：\n" +
    "void setMetaData(string id, string val);\t（标准）\n" +
    "参数说明：\n" +
    "(1) id：string，元数据的名称。可自定义id。\n" +
    "(2) val：string，元数据的值。\n" +
    "电子公文规范中指定的id列表：\n" +
    "公文元数据的名称(id)\t说明\n" +
    "gwbs\t公文标识\n" +
    "wz\t文种\n" +
    "fh\t份号\n" +
    "mjhbmqx\t密级和保密期限\n" +
    "jjcd\t紧急程度\n" +
    "fwjgbz\t发文机关标志\n" +
    "fwzh\t发文字号\n" +
    "qfr\t签发人\n" +
    "bt\t标题\n" +
    "zsjg\t主送机关\n" +
    "fjsm\t附件说明\n" +
    "fwjgsm\t签发机关署名\n" +
    "cwrq\t成文日期\n" +
    "fz\t附注\n" +
    "csjg\t抄送机关\n" +
    "yfjg\t印发机关\n" +
    "yfrq\t印发日期\n" +
    "fbcc\t发布层次\n" +
    "返回值：\n" +
    "无。\n", setMetaData);
function getMetaData() {
    xReader.getMetaData('');
}
var getMetaData = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开的文档的指定元数据的值。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件获取元数据。\n" +
    "接口原型：\n" +
    "string getMetaData(string id);\t（标准）\n" +
    "参数说明：\n" +
    "(1) id：string，元数据的名称。\n" +
    "返回值：\n" +
    "元数据的值。\n", getMetaData);

function getPluginVersion() {
    xReader.getPluginVersion();
}
var getPluginVersion = new CreateFunction("功能说明：\n" +
    "提供该插件版本信息。对比版本号差异，判断是否更新版本。\n" +
    "接口原型：\n" +
    "(1) string getPluginVersion();\t（标准）\n" +
    "参数说明：\n" +
    "无。\n", getPluginVersion);
function hasSign() {
    xReader.hasSign();
}
var hasSign = new CreateFunction("功能说明：\n" +
    "\t查看当前ofd文档中是否存在签章。\n" +
    "接口原型：\n" +
    "boolean hasSign();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：存在；false：不存在。\n", hasSign);
function getLogFilePath() {
    xReader.getLogFilePath();
}
var getLogFilePath = new CreateFunction(
    "功能说明：\n" +
    "获取版式阅读软件日志文件路径，软件通过日志文件，将内部操作（如打印、签名、验签等）进行记录和汇报。\n" +
    "接口原型：\n" +
    "string getLogFilePath();\t\t（标准）\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "成功则返回日志文件的路径，如“C:/Temps/reader.log”或者“/opt/reader.log”；失败则返回null。\n", getLogFilePath);

function setCookie() {
    xReader.setCookie('');
}
var setCookie = new CreateFunction(
    "功能说明：\n" +
    "设置后，可在插件访问远程http地址时自动添加“cookie=设置值”的后缀。该标识将用于请求网络资源作为参数，例如远程文件和资源，如果应用正好是使用该标识参数实现访问控制的话（例如打开远程文件时，插件可认为是一个http客户端，需要身份令牌以访问网络资源）主要用用途：配合打开远程文件请求使用。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)void setCookie(string strCookie);\n" +
    "(2)void setUserToken(string strCookie);\n" +
    "参数说明：\n" +
    "(1)strCookie：string，网络身份标识字符串。\n" +
    "返回值：\n" +
    "无\n", setCookie);

//xmlParam = "<setinfo type=\"barinfo\"><barinfo1><parameter name=\"pages\" value=\"1\"/><parameter name=\"rotate\" value=\"0\"/><parameter name=\"xpostype\" value =\"absolute\"/><parameter name=\"ypostype\" value=\"absolute\"/><parameter name=\"x\" value=\"28\"/><parameter name=\"y\" value=\"55\"/><parameter name=\"w\" value=\"150\"/><parameter name=\"h\" value=\"150\"/><parameter name=\"show\" value=\"1\"/><parameter name=\"print\" value=\"1\"/><parameter name=\"strcont\" font=\"仿宋_GB2312\" size=\"12\" color=\"000000\">000001</parameter></barinfo1><barinfo2><parameter name=\"pages\" value=\"1\"/><parameter name=\"rotate\" value=\"0\"/><parameter name=\"xpostype\" value =\"right\"/><parameter name=\"ypostype\" value=\"middle\"/><parameter name=\"x\" value=\"50\"/><parameter name=\"y\" value=\"150\"/><parameter name=\"w\" value=\"150\"/><parameter name=\"h\" value=\"150\"/><parameter name=\"show\" value=\"1\"/><parameter name=\"print\" value=\"1\"/><parameter name=\"strcont\" font=\"仿宋_GB2312\" size=\"18\" color=\"000000\">公报</parameter></barinfo2></setinfo >";
var xmlParam = "<setinfo type=\"barinfo\">";
/*xmlParam += "<parameter name=\"Blue\" type=\"int\" value=\"0\"/>";
xmlParam += "<parameter name=\"FontName\" value=\"华文琥珀\"/>";*/
xmlParam += "<parameter name=\"FontSize\" type=\"float\" value=\"50\"/>";/*
xmlParam += "<parameter name=\"Green\" type=\"int\" value=\"0\"/>";
xmlParam += "<parameter name=\"HoriAlign\" type=\"int\" value=\"1\"/>";
xmlParam += "<parameter name=\"ID\" value=\"11\"/>";
xmlParam += "<parameter name=\"Name\" value=\"20191009115012\"/>";
xmlParam += "<parameter name=\"OffsetX\" type=\"float\" value=\"0\"/>";
xmlParam += "<parameter name=\"OffsetY\" type=\"float\" value=\"0\"/>";
xmlParam += "<parameter name=\"Red\" type=\"int\" value=\"255\"/>";
xmlParam += "<parameter name=\"RotateAngle\" type=\"float\" value=\"0\"/>";*/
xmlParam += "<parameter name=\"Text\" value=\"水印\"/>";
/*xmlParam += "<parameter name=\"Type\" value=\"Watermarks\"/>";
xmlParam += "<parameter name=\"VertAlign\" type=\"int\" value=\"1\"/>";*/
// xmlParam += "<parameter name=\"ZOrder\" value=\"Background\"/>";
// xmlParam += "<parameter name=\"pageEnd\" type=\"int\" value=\"1\"/>";
// xmlParam += "<parameter name=\"pageStart\" type=\"int\" value=\"2\"/>";

// xmlParam += "<parameter name=\"nRegionType\" type=\"int\" value=\"0\"/>";
xmlParam += "<parameter name=\"Tile\" type=\"bool\" value=\"false\"/>";
// xmlParam += "<parameter name=\"TileXDistance\" type=\"float\" value=\"0\"/>";
// xmlParam += "<parameter name=\"TileYDistance\" type=\"float\" value=\"0\"/>";
// xmlParam += "<parameter name=\"TileTemplateType\" type=\"int\" value=\"0\"/>";
//end
xmlParam += "</setinfo>";
//2024.1.26 wxy
function addTextWatermark() {
    xReader.addTrackInfo(xmlParam, 'true');
}
var addTextWatermark = new CreateFunction("功能说明：\n" +
    "向插件中添加图像/文本水印追踪信息，如水印、份号等，该信息将用于显示或打印文档。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件添加水印。\n" +
    "接口原型：\n" +
    "void addTrackInfo(string xmlParam, boolean bSave);\t\t（标准）\n" +
    "参数说明：\n" +
    "(1) xmlParam：string，表示要添加水印的属性。\n" +
    "(2) bSave：boolean，是否触发文件修改标志。true：触发，保存文件后下次打开水印仍然存在；false：不触发，保存文件后，下次打开不会有此水印。缺省时，值为true。\n"+
    "参数\t类型\t说明\t备注\n" +
    "ID\t整型\t水印的标识\t不能与已有标识重复，可选，缺省时自动生成。\n" +
    "Name\t字符串\t水印名称\t可选，缺省时自动生成。\n" +
    "ZOrder\t字符串\t水印为前景或背景。前景为Foreground，背景为Background。\t可选。缺省为Background。\n" +
    "Type\t字符串\t模板类型描述。固定为Watermarks。\t可选，其他值无效。\n" +
    "nRegionType\t整型\t可添加水印的区域类型。0：整体可添加水印，1：上半部分可添加水印，2：下半部分可添加水印。\t可选，缺省为0。\n" +
    "Alpha\t浮点型\t颜色透明度，在0.00~1.00之间取值。1表示完全不透明。\t可选，缺省为1。\n" +
    "HoriAlign\t整型\t水平对齐方式。0：左对齐，1：居中对齐，2：右对齐。\t可选，缺省为1。\n" +
    "VertAlign\t整型\t垂直对齐方式。0：顶端对齐，1：居中对齐，2：底端对齐。\t可选，缺省为1。\n" +
    "OffsetX\t浮点型\t水印开始的横坐标位置，起始位置为页面左边界，单位为毫米。\t可选，缺省为0。\n" +
    "OffsetY\t浮点型\t水印开始的纵坐标位置，起始位置为页面上边界，单位为毫米。\t可选，缺省为0。\n" +
    "RotateAngle\t浮点型\t水印的旋转角度，正值为顺时针，负值为逆时针。\t可选，缺省为0。\n" +
    "pageStart\t整型\t添加水印的起始页。\t可选，缺省为1。设值范围：0-最大页码，且小于等于结束页。\n" +
    "pageEnd\t整型\t添加水印的结束页。-1：文档总页数。\t可选，缺省为文档总页数。设值范围：-1或0-最大页码，且大于等于起始页。\n" +
    "Tile\t布尔型\t是否进行平铺。true：平铺，false：不平铺。\t可选，缺省为false。\n" +
    "TileXDistance\t浮点型\t平铺横向间距，单位为毫米。\t可选，缺省为0。\n" +
    "TileYDistance\t浮点型\t平铺纵向间距，单位为毫米。\t可选，缺省为0。\n" +
    "TileTemplateType\t整型\t平铺水印模式类型：0：不使用平铺水印，1：一页二行，2：一页四行，3：一页六行，4：一页八行，5：一页十二行。\t可选，缺省为0。\n" +
    "FontName\t字符串\t字体名称。\t仅文字水印，可选，缺省为宋体。\n" +
    "FontSize\t浮点型\t字号，单位为毫米。\t仅文字水印，可选，缺省为24。\n" +
    "Text\t字符串\t文字内容。\t仅文字水印，必选。\n" +
    "Width\t浮点型\t文字的宽度。\t仅文字水印，可选，缺省为0。\n" +
    "Height\t浮点型\t文字的高度。\t仅文字水印，可选，缺省为0。\n" +
    "Red\t整型\t文字颜色的红色通道，在0~255之间取值。\t仅文字水印，可选，缺省为255。\n" +
    "Green\t整型\t文字颜色的绿色通道，在0~255之间取值。\t仅文字水印，可选，缺省为0。\n" +
    "Blue\t整型\t文字颜色的蓝色通道，在0~255之间取值。\t仅文字水印，可选，缺省为0。\n" +
    "ImgFileUrl\t字符串\t图像文件路径或图像url远程路径或base64格式图像数据。\t仅图片水印，必选。\n" +
    "dpi4Img\t整型\t图像每英寸长度内的像素点数。\t仅图片水印，可选，缺省为96。\n" +
    "返回值：\n" +
    "无。\n", addTextWatermark);

var xmlParam1 = "<setinfo type=\"docinfo\">";
xmlParam1 += "<parameter name=\"Alpha\" type=\"float\" value=\"1\"/>";
xmlParam1 += "<parameter name=\"HoriAlign\" type=\"int\" value=\"1\"/>";
xmlParam1 += "<parameter name=\"ID\" type=\"int\" value=\"313\"/>";
xmlParam1 += "<parameter name=\"ImgFileUrl\" value=\"/opt/Yozosoft/xReader/Resource/xlogo.svg\"/>";
xmlParam1 += "<parameter name=\"Name\" value=\"20191018143631\"/>";
xmlParam1 += "<parameter name=\"OffsetX\" type=\"float\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"OffsetY\" type=\"float\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"RotateAngle\" type=\"float\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"Type\" value=\"Watermarks\"/>";
xmlParam1 += "<parameter name=\"VertAlign\" type=\"int\" value=\"1\"/>";
xmlParam1 += "<parameter name=\"ZOrder\" value=\"Foreground\"/>";
xmlParam1 += "<parameter name=\"dpi4Img\" type=\"int\" value=\"96\"/>";
xmlParam1+= "<parameter name=\"pageEnd\" type=\"int\" value=\"1\"/>";
xmlParam1 += "<parameter name=\"pageStart\" type=\"int\" value=\"1\"/>";
//2023.4.26 sc add
//start
xmlParam1 += "<parameter name=\"nRegionType\" type=\"int\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"Tile\" type=\"bool\" value=\"false\"/>";
xmlParam1 += "<parameter name=\"TileXDistance\" type=\"float\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"TileYDistance\" type=\"float\" value=\"0\"/>";
xmlParam1 += "<parameter name=\"TileTemplateType\" type=\"int\" value=\"0\"/>";
//end
xmlParam1 += "</setinfo>";
//2024.1.26 wxy
function addImageWatermark() {
    xReader.addTrackInfo(xmlParam1, 'true');
}
var addImageWatermark = new CreateFunction("功能说明：\n" +
    "向插件中添加图像/文本水印追踪信息，如水印、份号等，该信息将用于显示或打印文档。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件添加水印。\n" +
    "接口原型：\n" +
    "void addTrackInfo(string xmlParam);\t\t（标准）\n" +
    "参数说明：\n" +
    "(1) xmlParam：String，表示要添加水印的属性。\n" +
    "水印参数列表：\n" +
    "参数\t类型\t说明\t备注\n" +
    "ID\t整型\t水印的标识\t不能与已有标识重复，可选，缺省时自动生成。\n" +
    "Name\t字符串\t水印名称\t可选，缺省时自动生成。\n" +
    "ZOrder\t字符串\t水印为前景或背景。前景为Foreground，背景为Background。\t可选。缺省为Background。\n" +
    "Type\t字符串\t模板类型描述。固定为Watermarks。\t可选，其他值无效。\n" +
    "nRegionType\t整型\t可添加水印的区域类型。0：整体可添加水印，1：上半部分可添加水印，2：下半部分可添加水印。\t可选，缺省为0。\n" +
    "Alpha\t浮点型\t颜色透明度，在0.00~1.00之间取值。1表示完全不透明。\t可选，缺省为1。\n" +
    "HoriAlign\t整型\t水平对齐方式。0：左对齐，1：居中对齐，2：右对齐。\t可选，缺省为1。\n" +
    "VertAlign\t整型\t垂直对齐方式。0：顶端对齐，1：居中对齐，2：底端对齐。\t可选，缺省为1。\n" +
    "OffsetX\t浮点型\t水印开始的横坐标位置，起始位置为页面左边界。\t可选，缺省为0。\n" +
    "OffsetY\t浮点型\t水印开始的纵坐标位置，起始位置为页面上边界。\t可选，缺省为0。\n" +
    "RotateAngle\t浮点型\t水印的旋转角度，正值为顺时针，负值为逆时针。\t可选，缺省为0。\n" +
    "pageStart\t整型\t添加水印的起始页。\t可选，缺省为1。设值范围：0-最大页码，且小于等于结束页。\n" +
    "pageEnd\t整型\t添加水印的结束页。-1：文档总页数。\t可选，缺省为文档总页数。设值范围：-1或0-最大页码，且大于等于起始页。\n" +
    "Tile\t布尔型\t是否进行平铺。true：平铺，false：不平铺。\t可选，缺省为false。\n" +
    "TileXDistance\t浮点型\t平铺横向间距，单位为毫米。\t可选，缺省为0。\n" +
    "TileYDistance\t浮点型\t平铺纵向间距，单位为毫米。\t可选，缺省为0。\n" +
    "TileTemplateType\t整型\t平铺水印模式类型：0：不使用平铺水印，1：一页二行，2：一页四行，3：一页六行，4：一页八行，5：一页十二行。\t可选，缺省为0。\n" +
    "FontName\t字符串\t字体名称。\t仅文字水印，可选，缺省为宋体。\n" +
    "FontSize\t浮点型\t字号，单位为毫米。\t仅文字水印，可选，缺省为24。\n" +
    "Text\t字符串\t文字内容。\t仅文字水印，必选。\n" +
    "Width\t浮点型\t文字的宽度。\t仅文字水印，可选，缺省为0。\n" +
    "Height\t浮点型\t文字的高度。\t仅文字水印，可选，缺省为0。\n" +
    "Red\t整型\t文字颜色的红色通道，在0~255之间取值。\t仅文字水印，可选，缺省为255。\n" +
    "Green\t整型\t文字颜色的绿色通道，在0~255之间取值。\t仅文字水印，可选，缺省为0。\n" +
    "Blue\t整型\t文字颜色的蓝色通道，在0~255之间取值。\t仅文字水印，可选，缺省为0。\n" +
    "ImgFileUrl\t字符串\t图像文件的路径。\t仅图片水印，必选。\n" +
    "dpi4Img\t整型\t图像每英寸长度内的像素点数。\t仅图片水印，可选，缺省为96。\n" +
    "返回值：\n" +
    "无。\n", addImageWatermark);
function clearWatermark() {
    xReader.clearTrackInfo();
}
var clearWatermark = new CreateFunction("功能说明：\n" +
    "清除当前文档中的水印信息。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件清除水印信息。\n" +
    "接口原型：\n" +
    "void clearTrackInfo();\t（标准）\n" +
    "参数说明：\n" +
    "无。\n", clearWatermark);
function setMBInfo() {
    xReader.setMBInfo();
}
var setMBInfo = new CreateFunction("功能说明：\n" +
    "设置密级标志信息。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件设置密标信息。\n" +
    "接口原型：\n" +
    "void\tsetMBInfo(string strMBInfo);\n" +
    "参数说明：\n" +
    "(1) strMBInfo，string，密级标识信息Json字符串\n" +
    "返回值：\n" +
    "\t无\n", setMBInfo);



function setLogSvrURL() {
    xReader.setLogSvrURL('');
}
var setLogSvrURL = new CreateFunction(
    "功能说明：\n" +
    "为插件设置日志服务地址，设置了日志服务地址后，写入日志文件的消息将同时按照标准HTTP协议写入日志服务。\n" +
    "接口原型：\n" +
    "void setLogSvrURL(string url);\t\t（标准）\n" +
    "参数说明：\n" +
    "(1) url：string，日志服务地址。\n" +
    "返回值：\n" +
    "无。\n", setLogSvrURL);

//2024.5.10 mlj fix:修复灰度打印设置失败
function print0() {
    xReader.printFile('', 'false');
}
var print0 = new CreateFunction(
    "功能说明：\n" +
    "直接打印文件，并按指定的打印任务名称和灰度打印设置执行。\n" +
    "接口原型：\n" +
    "bool printFile(string docName, boolean bGray);\t（标准）\n" +//2024.1.31 mlj fix
    "参数说明：\n" +
    "(1) docName：string，发送到打印机的打印任务名称。\n" +
    "(2) bGray：boolean，是否灰度打印，true表示灰度打印，false表示正常打印。\n" +
    "返回值：\n" +
    "调用接口是否成功 (true: 成功，false: 失败)\n", print0);//2024.1.31 mlj fix

//2024.5.10 mlj fix:修复灰度打印设置失败
function print1() {
    xReader.printFile('', 'true');
}
var print1 = new CreateFunction(
    "功能说明：\n" +
    "直接打印文件（不弹出打印对话框），并按指定的打印任务名称和灰度打印设置执行。\n" +
    "接口原型：\n" +
    "bool printFile(string docName, boolean bGray);\t（标准）\n" +//2024.1.31 mlj fix
    "参数说明：\n" +
    "(1) docName：string，发送到打印机的打印任务名称。\n" +
    "(2) bGray：boolean，是否灰度打印，true表示灰度打印，false表示正常打印。\n" +
    "返回值：\n" +
    "调用接口是否成功 (true: 成功，false: 失败)\n", print1);//2024.1.31 mlj fix
function openPrintDlg() {
    xReader.openPrintDlg();
}
var openPrintDlg = new CreateFunction("功能说明：\n" +
    "打开打印对话框，可预览打印效果，进行打印范围、打印处理、打印管理等设置。\n" +
    "接口原型：\n" +
    "boolean openPrintDlg();\t\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。", openPrintDlg);

function setPrintSealEnable() {
    xReader.setPrintSealEnable('');
}
var setPrintSealEnable = new CreateFunction("功能说明：\n" +
    "设置是否允许打印签章。\n" +
    "特殊说明：\n" +
    "在下次启动插件时需要重新配置。仅OFD文档有效。\n" +
    "接口原型：\n" +
    "void setPrintSealEnable(boolean bEnable);\n" +
    "参数说明：\n" +
    "(1)bEnable：boolean，是否允许，true表示允许，false表示不允许。\n" +
    "返回值：\n" +
    "无。\n", setPrintSealEnable);

function printSet() {
    xReader.printSet('');
}
var printSet = new CreateFunction("功能说明：\n" +
    "根据传入的参数控制打印对话框中的相关参数。\n" +
    "接口原型：\n" +
    "void printSet(string strPrintJsonParam);\n" +
    "参数说明：\n" +
    "(1) strPrintJsonParam，string，打印参数Json字符串。\n" +
    "返回值：\n" +
    "无。\n", printSet);

function setMaxCopies() {
    xReader.setMaxCopies('');
}
var setMaxCopies = new CreateFunction("功能说明：\n" +
    "设置最大打印份数，设置了该值后，打印对话框中的打印份数将不超过此值。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)void setMaxCopies(int nPrintCopies);\n" +
    "(2)void setPrintCopies(int nPrintCopies);\n" +
    "参数说明：\n" +
    "(1)nPrintCopies，int，最大打印份数。\n" +
    "返回值：\n" +
    "无。\n", setMaxCopies);

function setPrinterName() {
    xReader.setPrinterName('');
}
var setPrinterName = new CreateFunction("功能说明：\n" +
    "设置打印机名，设置了该值后，打印对话框中的打印机将不可选。\n" +
    "接口原型：\n" +
    "void setPrinterName(string strName);\n" +
    "参数说明：\n" +
    "(1)strName，string ，打印机名。\n" +
    "返回值：\n" +
    "无。\n", setPrinterName);

function setPrintResolution() {
    xReader.setPrintResolution('');
}
var setPrintResolution = new CreateFunction("功能说明：\n" +
    "设置打印分辨率，设置了该值后，设置了该值后，打印对话框中的打印质量控制按钮（一般/标清/高清/超清）将不可选。\n" +
    "接口原型：\n" +
    "void setPrintResolution(int dpi);\n" +
    "参数说明：\n" +
    "(1)dpi，int，打印分辨率。\n" +
    "返回值：\n" +
    "无。\n", setPrintResolution);

function setZoomRadio() {
     xReader.setZoomRadio('');
}
var setZoomRadio = new CreateFunction(
    "功能说明：\n" +
    "设置当前文档的页面显示比例。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)void setZoomRadio(float zoomValue);\t\t（标准）\n" +
    "(2)void setScale(float zoomValue);\n" +
    "参数说明：\n" +
    "(1) zoomValue：float，页面显示比例的值，范围[10-800]，例如：120表示120%。\n" +
    "返回值：\n" +
    "无。\n", setZoomRadio);
function getZoomRadio() {
    xReader.getZoomRadio()
}
var getZoomRadio = new CreateFunction(
    "功能说明：\n" +
    "获取当前文档的页面显示比例。\n" +
    "接口原型：\n" +
    "float getZoomRadio();\t\t（标准）\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "页面显示比例值，范围[10-800]，例如：120表示120%。\n" +
    "调用示例：\n" +
    "xReader.getZoomRadio();\n", getZoomRadio)
function zoomReset() {
    xReader.zoomReset()
}
var zoomReset = new CreateFunction(
    "功能说明：\n" +
    "设置当前打开文档的显示比例为原始大小，即100%比例。\n" +
    "接口原型：\n" +
    "void zoomReset();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", zoomReset)

/*function fx_setDisPlayMode() {
   xReader.setDisPlayMode('');
}
var fx_setDisPlayMode = new CreateFunction("参数取值范围（0-5）", fx_setDisPlayMode);*/
function setZoomMode() {
    xReader.setZoomMode('');
}
var setZoomMode = new CreateFunction(
    "功能说明：\n" +
    "设置当前打开文档的缩放模式。\n" +
    "接口原型:\n" +
    "void setZoomMode(int zoomMode);\n" +
    "参数说明：\n" +
    "(1)zoomMode：int，页面显示模式，0：原始（100%比例）；1：适页（以最大比例显示全部页面）；2：适宽（适合窗口宽度）；3：适高（适合窗口高度）。\n" +
    "返回值：\n" +
    "无。\n", setZoomMode);
function about() {
    xReader.about();
}
var about = new CreateFunction("功能说明：\n" +
    "打开about关于对话框。\n" +
    "接口原型：\n" +
    "void about();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", about);
function saveAs() {
    xReader.saveAs();
}
var saveAs = new CreateFunction("功能说明：\n" +
    "将当前打开的ofd文档通过对话框另存为本地文件。\n" +
    "接口原型：\n" +
    "void saveAs();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", saveAs);
function closeAllFiles() {
    xReader.closeAllFiles();
}
var closeAllFiles = new CreateFunction("功能说明：\n" +
    "关闭所有打开的文档。\n" +
    "接口原型：\n" +
    "void closeAllFiles();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", closeAllFiles);
function zoomIn() {
    xReader.zoomIn();
}
var zoomIn = new CreateFunction("功能说明：\n" +
    "放大当前打开文档页面显示比例。每次调用后按10%、25%、50%、75%、100%、125%、150%、175%、200%、400%、800%逐级放大页面。\n" +
    "特殊说明：\n" +
    "多次调用后最大放大值为原始大小的8倍，插件中最大值可能小于此值。\n" +
    "接口原型：\n" +
    "void zoomIn();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", zoomIn);
function zoomOut() {
    xReader.zoomOut();
}
var zoomOut = new CreateFunction("功能说明：\n" +
    "缩小当前打开文档页面显示比例。每次调用后按800%、400%、200%、175%、150%、125%、100%、75%、50%、25%、10%逐级缩小页面。\n" +
    "特殊说明：\n" +
    "多次调用后最小缩小值为原始大小的10%，插件中最小值可能大于此值。\n" +
    "接口原型：\n" +
    "void zoomOut();\n" +
    "参数说明：\n" +
    "无。\n", zoomOut);
function selectAll() {
    xReader.selectAll();
}
var selectAll = new CreateFunction("功能说明：\n" +
    "选择当前打开文档的全部文本，并高亮。\n" +
    "接口原型：\n" +
    "void selectAll();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", selectAll);
function getPageCount() {
    xReader.getPageCount();
}
var getPageCount = new CreateFunction("功能说明：\n" +
    "获取当前打开文档的总页数。\n" +
    "接口原型：\n" +
    "int getPageCount();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "当前打开文档的总页数。\n", getPageCount);
function getCurrentPageNum() {
    xReader.getCurrentPageNum();
}
var getCurrentPageNum = new CreateFunction("功能说明：\n" +
    "获取当前打开文档显示区域所在第一页的页码或者当前鼠标所在页的页码。页码从1开始。\n" +
    "接口原型：\n" +
    "int getCurrentPageNum();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "文档当前页码。从1开始。\n"  , getCurrentPageNum);
//2024.4.2 mlj add
function getCurrentPageIndex() {
    xReader.getCurrentPageIndex();
}
var getCurrentPageIndex = new CreateFunction("功能说明：\n" +
    "获取当前打开文档显示区域所在第一页或者当前鼠标所在页的页面索引。索引从0开始。\n" +
    "接口原型：\n" +
    "int getCurrentPageIndex();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "文档当前页面索引。从0开始。\n" , getCurrentPageIndex);
function gotoFirstPage() {
    xReader.gotoFirstPage();
}
var gotoFirstPage = new CreateFunction("功能说明：\n" +
    "页码跳转到当前打开文档的首页\n" +
    "接口原型：\n" +
    "void gotoFirstPage();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", gotoFirstPage);

function gotoLastPage() {
    xReader.gotoLastPage();
}
var gotoLastPage = new CreateFunction("功能说明：\n" +
    "页码跳转到当前打开文档的尾页。\n" +
    "接口原型：\n" +
    "void gotoLastPage();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", gotoLastPage);
function gotoPrevPage() {
    xReader.gotoPrevPage();
}
var gotoPrevPage = new CreateFunction("功能说明：\n" +
    "页码跳转到当前打开文档的上一页。\n" +
    "接口原型：\n" +
    "void gotoPrevPage();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", gotoPrevPage);
function gotoNextPage() {
    xReader.gotoNextPage();
}
var gotoNextPage = new CreateFunction("功能说明：\n" +
    "页码跳转到当前打开文档的下一页。\n" +
    "接口原型：\n" +
    "void gotoNextPage();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", gotoNextPage);
function gotoPage() {
    xReader.gotoPage('');
}
var gotoPage = new CreateFunction("功能说明：\n" +
    "页码跳转到当前打开文档的指定页。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1) void gotoPage(int nPageNum);\t（标准）\n" +
    "(2) void turnToPage(int nPageNum);\n" +
    "参数说明：\n" +
    "(1) nPageNum：int，表示要跳转的页码，从1开始。小于1则跳转到首页；大于总页数，则跳转到末页。\n" +
    "返回值：\n" +
    "无。\n", gotoPage);
function fitWidth() {
    xReader.fitWidth();
}
var fitWidth = new CreateFunction("功能说明：\n" +
    "设置当前打开文档的显示比例为适应窗口宽度。\n" +
    "接口原型：\n" +
    "void fitWidth();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", fitWidth);

function fitPage() {
    xReader.fitPage();
}
var fitPage = new CreateFunction("功能说明：\n" +
    "设置当前打开文档的显示比例为适页，即完全以最大比例显示全部页面。\n" +
    "接口原型：\n" +
    "void fitPage();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", fitPage);
function setViewPreference() {
    xReader.setViewPreference("navigator", '');
}
var setViewPreference = new CreateFunction(
    "功能说明：\n" +
    "设置当前打开文档显示的视图选项，参数组合见下表。\n" +
    "特殊说明：\n" +
    "当前只支持导航栏的选项设置，且PDF文件只支持缩略图、全文搜索、开始工作、打开文件导览。\n" +
    "接口原型：\n" +
    "void setViewPreference(string key, string val);\t\t（标准）\n" +
    "参数说明：\n" +
    "(1) key：string，表示首选项名称。\n" +
    "(2) val：string，表示首选项值。\n" +
    "键值对应关系表：\n" +
    "键(key)\t值(val)\t说明\n" +
    "navigator\tnone\t不显示导览\n" +
    "\toutline\t显示大纲导览\n" +
    "\tthumbnail\t显示缩略图导览\n" +
    "\tsemanteme\t显示语义导览\n" +
    "\tannotation\t显示注释导览\n" +
    "\tbookmark\t显示书签导览\n" +
    "\twatermark\t显示水印导览\n" +
    "\tlayer\t显示图层导览\n" +
    "\tdoc\t显示多文档导览\n" +
    "\tattach\t显示附件导览\n" +
    "\tversion\t显示多版本导览\n" +
    "\tfullsearch\t显示全文搜索导览\n" +
    "\trecentfiles\t显示开始工作导览\n" +
    "\topenedfiles\t显示打开文件导览\n" +
    "\teseals\t显示印章导览\n" +
    "返回值：\n" +
    "无。\n", setViewPreference);
function pdf2ofd() {
    xReader.pdf2ofd('', '');
}
var pdf2ofd = new CreateFunction("功能说明：\n" +
    "将当前打开的PDF文档导出为OFD文档\n" +
    "接口原型：\n" +
    "boolean pdf2ofd(string strOfdFileUrl, int nDPI = 96);\n" +
    "参数说明：\n" +
    "(1) strOfdFileUrl：string，导出后OFD文档的目标位置，可以是本地目录，也可以是远程目录；此外还可以指定OFD文档的文件名，若不指定则与当前PDF文档同名。\n" +
    "(2) nDPI：int，生成OFD文件的分辩率，默认96，其他常用如：144、300、600、\t1200，范围[96, 1200]。\n" +
    "返回值：\n" +
    "\t调用接口是否成功（true：成功，false：失败）。\n", pdf2ofd);
function setSealId() {
    xReader.setSealId('');
}
var setSealId = new CreateFunction(
    "功能说明：\n" +
    "设置将要应用的印章标识。\n" +
    "特殊说明：\n" +
    "设置了此值后，将不能对当前文档应用与该标识不匹配的电子印章，此函数常用于配合用章授权。\n" +
    "接口原型：\n" +
    "void setSealId(string sealId);\t（标准）\n" +
    "参数说明：\n" +
    "(1) sealId：string，印章的标识。\n" +
    "返回值：\n" +
    "无。\n", setSealId);
function sealDlg() {
    xReader.openSealDlg();
}
var sealDlg = new CreateFunction("", sealDlg);
function setCompositeVisible() {
    xReader.setCompositeVisible('', '');
}
var setCompositeVisible = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏阅读软件界面的指定按钮或组件。\n" +
    "特殊说明：\n" +
    "如果是可控制界面元素列表之外的标识，不发生任何作用。\n" +
    "接口原型：\n" +
    "void setCompositeVisible(string CompName, boolean bVisible);\t（标准）\n" +
    "参数说明：\n" +
    "(1) CompName：string，按钮或组件标识。\n" +
    "(2) bVisible：boolean，是否可见，true表示可见，false表示不可见。\n" +
    "按钮或组件标识列表：\n" +
    "对于菜单栏，工具栏，隐藏只针对当前文件，且进入全屏/阅读/播放模式后再退出，此设置即无效。若需针对所有文件，则在启动插件时，菜单栏调用：onOffMenuBarPermanently；工具栏调用：onOffToolBarPermanently。\n" +
    "按钮或组件标识(CompName)\t说明\n" +
    "open或f_open\t打开\n" +
    "export\t导出\n" +
    "save或file_save\t保存\n" +
    "saveas或f_saveas\t另存为\n" +
    "print或file_print\t打印\n" +
    "close\t关闭\n" +
    "sealsign或d_sealsign或sign\t签章\n" +
    "watermark或f_watermark\t水印\n" +
    "stamp或f_stamp\t图章\n" +
    "hyperlink或f_hyperlink\t超链接\n" +
    "menubar或menu\t菜单栏\n" +
    "toolbar\t工具栏\n" +
    "statusbar\t状态栏\n" +
    "navigator\t导航栏\n" +
    "vn_rcfile\t导航栏-最近打开文件\n" +
    "vn_onav\t导航栏-导航面板\n" +
    "vn_search\t导航栏-搜索\n" +
    "vn_outline\t导航栏-大纲\n" +
    "vn_thumbnail\t导航栏-缩略图\n" +
    "vn_tags\t导航栏-语义树\n" +
    "vn_bookmark\t导航栏-书签\n" +
    "vn_annotation\t导航栏-注释\n" +
    "vn_watermark\t导航栏-水印\n" +
    "vn_eseal\t导航栏-签名|印章\n" +
    "vn_multidoc\t导航栏-多文档\n" +
    "vn_attachment\t导航栏-附件\n" +
    "vn_versions\t导航栏-多版本\n" +
    "vn_layers\t导航栏-图层\n" +
    "vn_img\t导航栏-图像管理\n" +
    "view_readMode\t阅读模式\n" +
    "vn_annotation_all\t注释导航栏-所有操作按钮\n" +
    "vn_annotation_del\t注释导航栏-删除按钮\n" +
    "vn_annotation_visible\t注释导航栏-显示与隐藏按钮\n" +
    "vn_annotation_closAllReplyBox\t注释导航栏-关闭所有回复框按钮\n" +
    "vn_annotation_import\t注释导航栏-导入按钮\n" +
    "vn_annotation_export\t注释导航栏-导出按钮\n" +
    "返回值：\n" +
    "无。\n", setCompositeVisible);

//tai ji
function convertPdfToOfd() {
    xReader.convertPdfToOfd('', '', '', '', '', '');
}
var convertPdfToOfd = new CreateFunction(
    "功能说明：\n" +
    "\t将指定PDF文档导出为OFD文档。\n" +
    "特殊说明：\n" +
    "插件加载后即可调用，与当前是否有文档打开无关。\n" +
    "接口原型：\n" +
    "int convertPdfToOfd(string pszPdfUrl, string pszOfdUrl, int nBegin, int nEnd, int nResolution, int nResv);\n" +
    "参数说明：\n" +
    "(1) pszPdfUrl：string，pdf的url或本地全路径。\n" +
    "(2) pszOfdUrl：string，ofd的url或本地全路径。\n" +
    "(3) nBegin：int，固定传0。\n" +
    "(4) nEnd：int，固定传0。\n" +
    "(5) nResolution：int，生成OFD文件的分辩率，如96、144、300等，范围[96, 1200]。\n" +
    "(6) nResv：int，固定传0。\n" +
    "返回值：\n" +
    "0：成功；其它值：失败。\n", convertPdfToOfd);
function performClick1(param) {
    xReader.performClick('');
}
var performClick1 = new CreateFunction(
    "功能说明：\n" +
    "模拟点击命令触发对应功能。\n" +
    "接口原型：\n" +
    "void performClick(string strcmdid);\n" +
    "参数说明：\n" +
    "(1) strcmdid：string，模拟点击命令id。\n" +
    "\t模拟点击命令列表：\n" +
    "模拟点击命令id\t说明\n" +
    "f_print\t打印\n" +
    "f_saveas\t另存为\n" +
    "f_saveasPdf\t另存为pdf\n" +
    "f_exportText\t导出文本文档\n" +
    "f_attribute\t属性\n" +
    "v_rotateclock\t顺时针旋转90°\n" +
    "v_rotateanti\t逆时针旋转90°\n" +
    "t_freetext\t插入文本批注\n" +
    "ti_stamp\t橡皮图章\n" +
    "t_tablet\t签字笔\n" +
    "t_tablet/signpen_05mm\t签字笔细\n" +
    "t_tablet/signpen_1mm\t签字笔粗\n" +
    "t_tablet/softpen_1mm\t软笔细\n" +
    "t_tablet/softpen_2mm\t软笔中\n" +
    "t_tablet/softpen_3mm\t软笔粗\n" +
    "t_tableteraser或eraser_middle\t橡皮（总）\n" +
    "f_export\t导出当前文档\n" +
    "t_hidearea\t进入选择文字并遮盖模式，退出文字遮盖模式请调用t_handtool、t_freetext、t_tablet等以进入其它相关模式，或用户可以用esc快捷键退出\n" +
    "t_handtool\t手型工具\n" +
    "t_textselect\t选择工具\n" +
    "tp_straightline\t直线工具\n" +
    "tp_polyline\t折线工具\n" +
    "tt_highlight\t高亮注释\n" +
    "dsverification\t批量签章验证\n" +
    "t_sentFont\t编辑属性设置\n" +
    "t_hideNavigation\t隐藏显示导航栏\n" +
    "t_separateCover\t独立封面\n" +
    "t_hideTool\t隐藏工具栏\n" +
    "t_hideMenus\t隐藏菜单栏\n" +
    "t_endtableteraser\t结束橡皮擦\n" +
    "ti_watermark\t插入水印\n" +
    "tc_watermark\t清除水印\n" +
    "ti_chapterstamp\t插入文号章\n" +
    "vzmode_fitwidth\t适宽\n" +
    "vzmode_original\t原始大小\n" +
    "t_sealsign\t签章\n" +
    "e_undo\t撤销\n" +
    "返回值：\n" +
    "无。\n", performClick1);
function performClick2(param, param) {
    xReader.performClick('', '');
}
var performClick2 = new CreateFunction(
    "功能说明：\n" +
    "根据可配置参数执行模拟点击命令触发对应功能。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)bool performClick(string strcmdid, string strJsonParam);\n" +
    "(2)bool performClickConfigable(string strcmdid, string strJsonParam);\n" +
    "参数说明：\n" +
    "(1) strcmdid：string，模拟点击命令id。\n" +
    "(2) strJsonParam：string，可配置参数json字符串。\n" +
    "模拟点击命令列表：\n" +
    "模拟点击命令id\t说明\n" +
    "t_freetext\t插入文本批注\n" +
    "t_tablet\t签字笔\n" +
    "f_saveas\t另存为。strJsonParam为保存地址信息Json字符串，格式为：{\"filepath\":\"D:/ofd\",\"filename\":\"1.ofd\"}\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", performClick2);
function performClick0() {
    xReader.performClick();
}
var performClick0 = new CreateFunction(
    "接口说明：\n" +
    "  清除签批的内容，按照笔画进行擦除\n" +
    "参数说明：\n" +
    "返回值：\n" +
    "  成功：true\n" +
    "  失败：false\n", performClick0);
function setConfigInfo() {
    xReader.setConfigInfo('', '');
}
var setConfigInfo = new CreateFunction(
    "功能说明：\n" +
    "配置插件信息。\n" +
    "特殊说明：\n" +
    "下方参数说明的配置列表中未特殊说明的配置项，配置完成后，下次打开也会使用此配置。\n" +
    "接口原型：\n" +
    "void setConfigInfo(string configName, string configValue);\n" +
    "参数说明：\n" +
    "(1) configName：string，配置项。\n" +
    "(2) configValue：string，配置值。\n" +
    "configName\t含义\tconfigValue要求\tconfigValue示例\n" +
    "tablet.fullsign.userwidth\t签字笔粗细\t正数，支持浮点数，单位mm\t\"1.5\"\n" +
    "tablet.fullsign.color\t签字笔颜色\t颜色的HEX值\t\"#FF0000\"\n" +
    "tablet.fullsign.pentype\t签字笔类型\t\"signpen\"：硬笔   \"softpen\"：软笔\t\"signpen\"\n" +
    "tablet.fullsign.userwidthdelta\t手写签批笔宽补偿值\t整数，可正可负，正加宽，负减宽\t\"10\"\n" +
    "tablet.fullsign.mousecursor\t签批时鼠标样式\t\"0\"：十字   \"1\"：签批笔   \"2\"：圆点  \"\"：不显示  （空值不显示）\t\"0\"\n" +
    "annot.textbox.signinfo.fontsize\t文本框落款字号\t正整数\t\"10\"\n" +
    "annot.textbox.signinfo.fontcolor\t文本框落款字体颜色\t颜色的HEX值\t\"#FF0000\"\n" +
    "annot.textbox.signinfo.fontname\t文本框落款字体\t字体名称\t\"宋体\"\n" +
    "annot.textbox.fontsize\t文本框字号\t正整数\t\"10\"\n" +
    "annot.textbox.fontcolor\t文本框字体颜色\t颜色的HEX值\t\"#FF0000\"\n" +
    "IsAnnoReplyBoxHidden\t双击注释是否隐藏注释回复框\t\"true\"：隐藏   \"false\"：不隐藏\t  \"1\"：隐藏\t \"0\"：不隐藏\n" +
    "autosavebeforeclose\t 修改文件后关闭是否提示保存修改（关闭插件后重置）\t\"0\"：弹窗提示是否保存修改    \"1\"：不提示并且自动保存修改   \"2\"：不提示并且不保存修改\t\"0\"\n" +
    "userinfo.usertoken\t上传下载设置请求头部信息Cookie，用于访问应用系统控制的远程资源（关闭插件后重置）\t符合http协议规范标准的cookie格式字符串\t\n" +
    "userinfo.username\t设置用户名（关闭插件后重置）\t字符串\t\"admin\"\n" +
    "userinfo.userid\t设置用户id（关闭插件后重置）\t字符串\t\"43101\"\n" +
    "signature.callcancelseal\t脱密签章时是否需要弹出签章密码对话框（关闭插件后重置）\t\"true\"：弹出   \"false\"：不弹出\t \"1\"：隐藏\t \"0\"：不隐藏\n" +
    "printnumber\t最大打印份数,即打印份数限制（关闭插件后重置）\t正整数\t\"5\"\n" +
    "downloadurl.timeout\t下载超时时间，即超过此时间自动结束下载（关闭插件后重置）\t正整数，单位ms\t\"20000\"\n" +
    "uploadurl.timeout\t上传超时时间，即超过此时间自动结束上传（关闭插件后重置）\t正整数，单位ms\t\"20000\"\n" +
    "reader.annot.movable\t设置注释移动权限（当前用户可以移动指定用户的注释，打开新文件重置）\tJson格式 userid：用户id type：注释类型，同setUserAnnotPermission参数标识表格\t\"[{\"userid\":\"1\",\"type\":\"FreeText\",\"movable\":\"true\"},{\"userid\":\"2\",\"type\":\"FreeText\",\"movable\":\"true\"}]\"\n" +
    "reader.singlemode或singlemode\t设置文档显示模式。单文件模式：只允许打开一个文件，即打开一个新文档时将关闭当前已有的文件，用以节省内存。多文件模式：允许同时打开多个文件，通过切换页签显示。\t\"true\"：单文件 \"false\"：多文件 \"1\"：单文件 \"0\"：多文件\t\"true\"\n" +
    "返回值：\n" +
    "无。\n", setConfigInfo);
function setSignSize() {
    xReader.setSignSize('');
}
var setSignSize = new CreateFunction(
    "接口说明：\n" +
    "设置签批笔迹粗细。\n" +
    "特殊说明：\n" +
    "此设置会保存到临时配置文件，在下次启动时仍然生效。与setConfigInfo中tablet.fullsign.userwidth一致。\n" +
    "接口原型：\n" +
    "boolean setSignSize(float size);\n" +
    "参数说明：\n" +
    "(1)size：float，笔迹尺寸，单位为mm。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", setSignSize);
function setCommonSigns() {
    xReader.setCommonSigns('');
}
var setCommonSigns = new CreateFunction(
    "功能说明：\n" +
    "设置图章对话框中默认显示的橡皮章或署名章。\n" +
    "接口原型：\n" +
    "void SetCommonSigns(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，图章信息Json字符串数组，数组的每个对象表示一个图章。\n" +
    "图章数据结构：\n" +
    "参   数\t数据类型\t说   明\n" +
    "text\t字符串\t图章文本说明\n" +
    "url\t字符串\t图章，支持三种类型的图片数据：本地地址，url或base64图片\n" +
    "width\t浮点型\t图章的宽度，单位mm。\n" +
    "height\t浮点型\t图章的高度，单位mm。\n" +
    "type\t整形\t图章类型，0-橡皮章，1-署名章\n" +
    "返回值：\n" +
    "无。\n", setCommonSigns);
function addFreeText() {
    xReader.addFreeText('');
}
var addFreeText = new CreateFunction(
    "功能说明：\n" +
    "通过传入Json串直接插入文本批注。\n" +
    "接口原型：\n" +
    "string addFreeText(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，表示插入文本批注的内容信息的Json字符串。\n" +
    "返回值：\n" +
    "文本批注ID。\n", addFreeText);
function setFreeTextDefaultFont() {
    xReader.setFreeTextDefaultFont('');
}
var setFreeTextDefaultFont = new CreateFunction(
    "功能说明：\n" +
    "\t设置文本批注默认的字体信息。\n" +
    "特殊说明：\n" +
    "当返回值大于等于0时，json串设置的字体都会设置为默认值，设置出错的项使用系统默认项值。通过页面工具栏修改字体后此接口失效。\n" +
    "接口原型：\n" +
    "int setFreeTextDefaultFont(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，表示文本批注所需的默认字体信息，默认字体通过json串的形式设置，未设置默认为字体或设置失败，默认字体为宋体。\n" +
    "返回值：\n" +
    "0：设置成功；其他：设置失败。\n", setFreeTextDefaultFont);
function getFreeTextContentById() {
    xReader.getFreeTextContentById('');
}
var getFreeTextContentById = new CreateFunction(
    "功能说明：\n" +
    "\t通过ID获取文本批注内容。\n" +
    "接口原型：\n" +
    "string getFreeTextContentById(string id);\n" +
    "参数说明：\n" +
    "(1) id：string，文本批注的id。\n" +
    "返回值：\n", getFreeTextContentById);
function AnnotaTextTitleSwitch() {
    xReader.AnnotaTextTitleSwitch('');
}
var AnnotaTextTitleSwitch = new CreateFunction(
    "功能说明：\n" +
    "控制鼠标在文本框上悬停时，文本框是否显示提示信息。\n" +
    "接口原型：\n" +
    "void AnnotaTextTitleSwitch(boolean bSwitch);\n" +
    "参数说明：\n" +
    "(1) bSwitch：控制是否显示，true-显示，false-不显示。\n" +
    "返回值：\n" +
    "无。\n", AnnotaTextTitleSwitch);
function SetFreqUserdComments() {
    xReader.SetFreqUserdComments('');
}
var SetFreqUserdComments = new CreateFunction(
    "功能说明：\n" +
    "\t通过文本框插入文本时，设置文本框上侧的字体设置栏中的常用语选择框。\n" +
    "接口原型：\n" +
    "void SetFreqUserdComments(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，常用语。通过json字符串数组的形式插入，当json数组设置为空数组时，常用语选择栏置空不显示，只有设置了常用语才显示该项。\n" +
    "返回值：\n" +
    "无。\n", SetFreqUserdComments);
function SetSignatureImageByJson() {
    xReader.SetSignatureImageByJson('');
}
var SetSignatureImageByJson = new CreateFunction(
    "功能说明：\n" +
    "\t设置签名功能为图章时的图片，在设置登录时，根据登录人员不同级别设置，无图章签名的可以不设置。\n" +
    "接口原型：\n" +
    "int setSignatureImageByJson(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，签名图片json字符串。\n" +
    "返回值：\n" +
    "0：设置成功，其他：设置失败。\n", SetSignatureImageByJson);
function SetAnnotaTextTitle() {
    xReader.SetAnnotaTextTitle('');
}
var SetAnnotaTextTitle = new CreateFunction(
    "功能说明：\n" +
    "设置鼠标悬停在文本框上方时的提示信息。\n" +
    "特殊说明：\n" +
    "需调用AnnotaTextTitleSwitch(true)功能后才会显示提示信息。\n" +
    "接口原型：\n" +
    "void SetAnnotaTextTitle(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，文本提示信息Json字符串。\n" +
    "返回值：\n" +
    "无。\n", SetAnnotaTextTitle);

function setTimeFormat() {
    xReader.setTimeFormat('');
}
var setTimeFormat = new CreateFunction(
    "功能说明：\n" +
    "\t设置时间戳格式。\n" +
    "接口原型：\n" +
    "void setDateFormat(string timeFormart);\n" +
    "参数说明：\n" +
    "(1) dateFormart：string，描述时间戳格式以及其字体信息的Json字符串。\n" +
    "日期格式列表：\n" +
    "日期格式代码\t日期格式\n" +
    "0\t二〇二〇年一月六日\n" +
    "1\t2020年1月6日\n" +
    "2\t2020:1:6\n" +
    "3\t2020-1-6\n" +
    "4\t2020/1/6\n" +
    "5\t1/6/2020\n" +
    "6\t2020.1.6\n" +
    "7\t6.1.2020\n" +
    "8\t2020年01月06日\n" +
    "9\t2020:01:06\n" +
    "10\t2020-01-06\n" +
    "11\t2020/01/06\n" +
    "12\t01/06/2020\n" +
    "13\t2020.01.06\n" +
    "14\t06.01.2020\n" +
    "15\t一月 6 2020\n" +
    "16\t6 一月 2020\n" +
    "17\t1月 6 2020\n" +
    "18\t6 1月 2020\n" +
    "19\t一月 6 20\n" +
    "20\t6 一月 20\n" +
    "21\t1月 6 20\n" +
    "22\t6 1月 20\n" +
    "23\t1月06日\n" +
    "24\t1-6\n" +
    "25\t1/6\n" +
    "26\t1.6\n" +
    "27\t一月 6\n" +
    "28\t6 一月\n" +
    "29\t1月 6\n" +
    "30\t6 1月\n" +
    "31\t1\n" +
    "32\t一月\n" +
    "33\t1月\n" +
    "34\t一月六日\n" +
    "返回值：\n" +
    "无。\n", setTimeFormat);

function deleteAnnotationByParameter() {
    xReader.deleteAnnotationByParameter('');
}
var deleteAnnotationByParameter = new CreateFunction(
    "功能说明：\n" +
    "\t删除指定范围得签批和图章，（默认清除全部版式文件手写内容）。\n" +
    "接口原型：\n" +
    "void deleteAnnotationByParameter(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，删除内容Json字符串。\n" +
    "参数标识表格\n" +
    "参数\t可选值\t说明\n" +
    "userid\tclean_all_annots\t删除文档全部用户添加的批注\n" +
    "\t字符串\t指定用户id\n" +
    "pageindex\t-\t格式可为“1-3”，“1”，“1，3，5”，“1-3，4，6”，为空值时删除文档中所有页码中的annotetype类型批注。\n" +
    "annotetype\tall\t所有批注，缺省时为此值\n" +
    "\tHighlight\t文本高亮\n" +
    "\tStamp\t橡皮图章\n" +
    "\tAffix\t人名章 \n" +
    "\tLine\t直线\n" +
    "\tPolyLine\t折线\n" +
    "\tFreeText\t文本框 \n" +
    "\tTabletDlg\t区域手写签批\n" +
    "\tTablet\t全屏手写签批\n" +
    "\tChapter\t文号章\n" +
    "datatag\t-\t一般为缺省或为空值，只删除SetClearAnnotsRestrict()设置时间之后添加的前面参数所指定的批注；当设置为\"1\"时，则不受SetClearAnnotsRestrict()约束，删除前面参数所指定的所有批注\n" +
    "返回值：\n" +
    "无。\n", deleteAnnotationByParameter);

function clearHandwrittenAnnotation() {
    xReader.clearHandwrittenAnnotation();
}
var clearHandwrittenAnnotation = new CreateFunction(
    "功能说明：\n" +
    "\t清空当前用户在当前节点的手写、图章、文本、折线、线段、高亮等注释。\n" +
    "接口原型：\n" +
    "void clearHandwrittenAnnotation();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", clearHandwrittenAnnotation);
function SetStepsLimits() {
    xReader.SetStepsLimits('');
}
var SetStepsLimits = new CreateFunction(
    "功能说明：\n" +
    "\t设置指定环节中，同一用户之前添加的批注是否禁止移动、编辑、删除等其中一个或多个操作，其可以在打开文档前调用。\n" +
    "接口原型：\n" +
    "void SetStepsLimits(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，环节控制Json字符串。\n" +
    "环节控制的参数列表：\n" +
    "参数\t可选值\t说明\n" +
    "AnnotType\n" +
    "字符串型\tFreeText\t文本批注\n" +
    "\tStamp\t图章\n" +
    "\tAffix\t人名章\n" +
    "\tLine\t直线\n" +
    "\tPolyLine\t折线\n" +
    "\tTablet\t手写签批\n" +
    "\tHighlight\t高亮注释（高亮自身就不具备移动和拖拽，只有删除功能。）\n" +
    "\tChapter\t文号章\n" +
    "Opt\t1\t禁止移动\n" +
    "\t2\t禁止编辑\n" +
    "\t3\t禁止移动和编辑\n" +
    "\t4\t禁止删除\n" +
    "\t5\t禁止移动和删除\n" +
    "\t6\t禁止编辑和删除\n" +
    "\t7\t禁止移动、编辑和删除\n" +
    "返回值：\n" +
    "无。\n", SetStepsLimits);

function addStampAnnot() {
    xReader.addStampAnnot('');
}
var addStampAnnot = new CreateFunction(
    "功能说明：\n" +
    "直接将图片添加到当前打开文档中，当前添加人可拖动重新调整存放位置。\n" +
    "接口原型：\n" +
    "string addStampAnnot(string annotInfo);\n" +
    "参数说明：\n" +
    "(1) annotInfo：string，图章信息Json字符串。\n" +
    "图章数据结构：\n" +
    "参   数\t数据类型\t说   明\n" +
    "image\t字符串\t图片名称或数据信息（图片本地路径、图片远程路径、图片base64数据流）\n" +
    "cx\t浮点型\t偏移横坐标，单位mm，缺省时采用 border-topleft的值，若border-left也无效则为0\n" +
    "cy\t浮点型\t偏移纵坐标，单位mm, 缺省时采用 border-lefttop的值，若border-top也无效则为0\n" +
    "width\t浮点型\t图章的宽度，单位mm\n" +
    "height\t浮点型\t图章的高度，单位mm\n" +
    "border-top\t字符串\t含义：插入的垂直位置，border-left同时设定时生效\n" +
    "可选值：\"top\" | \"middle\" | \"bottom\"\n" +
    "缺省时为 \"top\"\n" +
    "当cx、或cy设置时，border-top、border-left无效\n" +
    "border-left\t字符串\t含义：插入的水平位置，border-top同时设定时生效\n" +
    "可选值：\"topleft\" | \"middlecenter\" | \"bottomright\"\n" +
    "缺省时为 \"top\"\n" +
    "当cx、或cy设置时，border-top、border-left无效\n" +
    "pages\t字符串\t含义：应用的页码范围\n" +
    "可选值：\n" +
    "指定起始页码：\"1-10\"\n" +
    "全部页码：\"all\"\n" +
    "指定页码列表：\"1,3,5,7,9\"\n" +
    "缺省时为当前页码\n" +
    "editstate\t布尔型\t含义：图片编辑状态\n" +
    "可选值：true-图片可编辑，false-图片不可编辑\n" +
    "缺省时为true\n" +
    "origin\t字符串\t含义：图片原点\n" +
    "可选值：\n" +
    "\"center\"：中心\n" +
    "\"top-left\"：左上角\n" +
    "缺省时为 \"center\"\n" +
    "jdType\t字符串\t自定义类型（可选）\n" +
    "jdProcessNode\t字符串\t环节（可选）\n" +
    "jdOperateUser\t字符串\t操作人（可选）\n" +
    "jdString1\t字符串\t扩展字段1（可选）\n" +
    "jdString2\t字符串\t扩展字段2（可选）\n" +
    "返回值：\n" +
    "一个描述插入图章成功或失败状态的json串，结构如下所示：\n" +
    "插入成功：\n" +
    "{\n" +
    "\"result\":\"success\",\n" +
    "\"error_msg\":\"\"\n" +
    "}\n" +
    "插入失败：\n" +
    "{\n" +
    "\"result\":\"error\",\n" +
    "\"error_msg\":\"未打开文件或输入参数为空，无法操作\"\t//失败信息\n" +
    "}。\n", addStampAnnot);

function addMovingStamp() {
    xReader.addMovingStamp('');
}
var addMovingStamp = new CreateFunction(
    "功能说明：\n" +
    "\t添加图章会跟随鼠标移动到插入图章的位置，点击后插入图章。\n" +
    "接口原型：\n" +
    "void addMovingStamp(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，图章信息json字符串。\n" +
    "返回值：\n" +
    "无。\n", addMovingStamp);

function addStampUrl() {
    xReader.addStampUrl('');
}
var addStampUrl = new CreateFunction(
    "功能说明：\n" +
    "\t将远程地址图章添加到橡皮图章列表中。\n" +
    "接口原型：\n" +
    "void addStampUrl(string strUrls);\n" +
    "参数说明：\n" +
    "(1) strUrls：string，远程橡皮图章加载地址。可添加多个，用“;”隔开。\n" +
    "返回值：\n" +
    "无。\n", addStampUrl);

function getAnnotInfoBy() {
    xReader.getAnnotInfoBy('');
}
var getAnnotInfoBy = new CreateFunction(
    "功能说明：\n" +
    "根据用户ID、环节标识、注释类型、页码范围获取注释的信息，包括文档中的手写、文本框、图章，包含处理人及处理时间。\n" +
    "接口原型：\n" +
    "string getAnnotInfoBy(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，用户ID、环节标识、注释类型、页码范围json字符串。\n" +
    "strJson数据结构：\n" +
    "参   数\t数据类型\t说   明\n" +
    "userid\t字符串\t用户ID\n" +
    "datatag\t字符串\t暂无意义（备用）\n" +
    "可以为空值或者不填写\n" +
    "annottype\t字符串\t含义：注释类型\n" +
    "可选值：\n" +
    "\"all\"：所有\n" +
    "\"tablet\"：手写\n" +
    "\"freeText\"：文本框\n" +
    "\"stamp\"：橡皮图章\n" +
    "\"affix\"：人名章\n" +
    "\"chapter\"：文号章\n" +
    "缺省时为 \"all\"\n" +
    "pageindex\t字符串\t页码，格式可为\"1-3\"，\"1\"，\"1，3，5\"，\"1-3，4，6\"，为空值时删除文档中所有页码中的annottype类型批注。\n" +
    "返回值：\n" +
    "一个返回含有批注信息的json数组，结构如下所示：\n" +
    "[{\n" +
    "\"img\" : \"Base64\",\t\t\t\t//Base64图片(类型为Stamp/Affix/Chapter时有此\t\t\t\t\t\t\t\t属性)\n" +
    "\"user\" : \"测试员\",\t\t\t\t//用户名\n" +
    "\"date\" : \"2020-05-09 13:43:48\",\t//批注最近修改时间\n" +
    "\"pos-x\":10.23,\t\t\t\t\t//x坐标（mm）\n" +
    "\"pos-y\":10.36,\t\t\t\t\t//y坐标（mm）\n" +
    "\"width\":100,\t\t\t\t\t//图片宽度（mm）\n" +
    "\"height\"10.3,\t\t\t\t\t//图片高度（mm）\n" +
    "\"page\":1,\t\t\t\t\t\t//批注所在页面\n" +
    "\"jdType\":\"id\",\t\t\t\t\t//自定义类型\n" +
    "\"jdProcessNode\":\"2\",\t\t\t//环节\n" +
    "\"jdOperateUser\":\"test\",\t\t\t//操作人\n" +
    "\"jdString1\":\"12345\",\t\t\t//扩展字段1\n" +
    "\"jdString2\":\"ABCDEF\"\t\t\t//扩展字段2\n" +
    "},{\n" +
    "\"user\" : \"测试员\",\n" +
    "\"date\" : \"2020-05-09 13:43:48\",\n" +
    "\"pos-x\":10.23,\t\n" +
    "\"pos-y\":10.36,\t\n" +
    "\"width\":100,\n" +
    "\"height\"10.3,\n" +
    "\"page\":1\n" +
    "}]\n", getAnnotInfoBy);

function SetNotDrawdragControl() {
    xReader.SetNotDrawdragControl('');
}
var SetNotDrawdragControl = new CreateFunction(
    "接口说明：\n" +
    "  设置后可以通过图章的四个顶点等比例拖拽\n" +
    "参数说明：\n" +
    "  string:leftdrag,topdrag,rightdrag,bottomdrag分别为四个顶点\n" +
    "返回值：\n" +
    "  无", SetNotDrawdragControl);
function SetKeepStampRatioParam() {
    xReader.SetKeepStampRatioParam('', '', '');
}
var SetKeepStampRatioParam = new CreateFunction(
    "接口说明：\n" +
    "  在未设置图章尺寸时，调用该接口true时，设置默认图章尺寸，单位是毫米，false清空默认值，如未设置图章尺寸，使用图章默认尺寸。\n" +
    "参数说明：\n" +
    "  bool:是否设置默认图章尺寸\n" +
    "  int:高，单位是毫米\n" +
    "  int：宽，单位是毫米\n" +
    "返回值：\n" +
    "  无", SetKeepStampRatioParam);
function importSignatureImage() {
    xReader.importSignatureImage('');
}
var importSignatureImage = new CreateFunction(
    "接口说明：\n" +
    "  可以配置是都显示签名和时间\n" +
    "参数说明：\n" +
    "  string:" +
    "   * signtype           署名章类型:可取值inputsign/importsign\n" +
    "   * signtext            签名内容(若类型为inputsign,则取值为字符串,包含部门时用;隔开;若类型为 importsign,则取值为图片路径)\n" +
    "   * date-format        日期格式，详见备注日期格式列表\n" +
    "   * time-format        时间格式，详见备注时间格式列表\n" +
    "   * font-family         字体名称\n" +
    "   * font-size            字号（单位：磅）\n" +
    "   * font-style           斜体,取值：true/false\n" +
    "   * font-weight         粗体,取值：true/false\n" +
    "   * font-color           字体颜色,例如 \"#000000\"\n" +
    "   * editstate           人名章是否可编辑,取值:true/false   true为可以进行缩放、移动和删除 默认为true，false则不可缩放、移动和删除\n" +
    "   * sign-issameline    签名和日期是否同行,取值:true/false\n" +
    "   * align-style          对齐方式,取值:alignleft(左对齐)/aligncenter(居中对齐)/alignright(右对齐)\n" +
    "   * line-spacing        行间距(默认值为6)\n" +
    "   * code-spacing       字间距(默认值为6)\n\n" +
    "返回值：\n" +
    "  无", importSignatureImage);
function insertFillRect() {
    xReader.insertFillRect('', '', '', '');
}
var insertFillRect = new CreateFunction(
    "功能说明：\n" +
    "\t添加矩形块，如白条用于遮盖。\n" +
    "接口原型：\n" +
    "void insertFillRect(string strPos, int r, int g, int b);\n" +
    "参数说明：\n" +
    "(1) strPos：string，添加位置的Json字符串数组。\n" +
    "(2) r：int，RGB颜色r通道。\n" +
    "(3) g：int，RGB颜色g通道。\n" +
    "(4) b：int，RGB颜色b通道。\n" +
    "strPos数据结构：\n" +
    "参   数\t数据类型\t说   明\n" +
    "page-index\t正整数\t页码，从1开始\n" +
    "left_mm\t浮点数\t矩形左上角的x坐标\n" +
    "right_mm\t浮点数\t矩形右下角的x坐标\n" +
    "top_mm\t浮点数\t矩形左上角的y坐标\n" +
    "bottom_mm\t浮点数\t矩形右下角的y坐标\n" +
    "返回值：\n" +
    "无。\n", insertFillRect);

function setCompositeEnable() {
    xReader.setCompositeEnable('', '');
}
var setCompositeEnable = new CreateFunction(
    "功能说明：\n" +
    "启用或禁用阅读软件界面的指定按钮或组件。\n" +
    "特殊说明：\n" +
    "如果是可控制界面元素列表之外的标识，不发生任何作用。\n" +
    "接口原型：\n" +
    "void setCompositeEnable(string CompName, boolean bEnable);\t（标准）\n" +
    "参数说明：\n" +
    "(1) CompName：sting，按钮或组件标识。\n" +
    "(2) bEnable：boolean，是否可用，true表示可用，false表示不可用。\n" +
    "按钮或组件标识列表：\n" +
    "按钮或组件标识(CompName)\t说明\n" +
    "open\t打开\n" +
    "export\t导出\n" +
    "save\t保存\n" +
    "saveas\t另存为\n" +
    "print\t打印\n" +
    "close\t关闭\n" +
    "sealsign\t签章\n" +
    "verifysign\t验章\n" +
    "menubar\t菜单栏\n" +
    "toolbar\t工具栏\n" +
    "statusbar\t状态栏\n" +
    "navigator\t导航栏\n" +
    "返回值：\n" +
    "无。\n", setCompositeEnable);

function IsDocomentHasChangedFlag() {
    xReader.IsDocomentHasChangedFlag();
}
var IsDocomentHasChangedFlag = new CreateFunction(
    "功能说明：\n" +
    "\t获取当前打开的文档是否被修改的标记。共2个接口可供调用。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件。\n" +
    "接口原型：\n" +
    "(1)boolean IsDocomentHasChangedFlag();\n" +
    "(2)boolean isDocumentModified();\n" +
    "参数说明：\n" +
    "当前文档是否被修改（true：已修改，false：未修改）。\n", IsDocomentHasChangedFlag);
//2024.4.2 mlj add 增加兼容接口
function isDocumentModified() {
    xReader.isDocumentModified();
}
var isDocumentModified = new CreateFunction(
    "功能说明：\n" +
    "\t获取当前打开的文档是否被修改的标记。共2个接口可供调用。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件。\n" +
    "接口原型：\n" +
    "(1)boolean IsDocomentHasChangedFlag();\n" +
    "(2)boolean isDocumentModified();\n" +
    "参数说明：\n" +
    "当前文档是否被修改（true：已修改，false：未修改）。\n", isDocumentModified);


function GetLinePos() {
    xReader.GetLinePos();
}
var GetLinePos = new CreateFunction(
    "接口说明：\n" +
    "  获取指定页的线段位置\n" +
    "参数说明：\n" +
    "  string:\n" +
    "  string:\n" +
    "返回值：\n" +
    "  {\n" +
    "   \"pageindex\":\"1\",\n" +
    "   \"pos\":[{\"left\":\"10\", \"top\":\"20\", \"right\":\"100\", \"bottom\":\"40\"},\n" +
    "   {\"left\":\"10\", \"top\":\"40\", \"right\":\"100\", \"bottom\":\"60\"}]\n" +
    "  }\n", GetLinePos);
function saveFileRetResult() {
    xReader.saveFileRetResult('');
}
var saveFileRetResult = new CreateFunction(
    "功能说明：\n" +
    "保存指定文档并返回保存结果、url请求返回信息、字节数、md5码等信息。\n" +
    "接口原型：\n" +
    "string saveFileRetResult(string strURL);\n" +
    "参数说明：\n" +
    "(1) strURL：string，要保存的文件地址，可为本地文件地址或远程文件地址。\n" +
    "返回值：\n" +
    "Json字符串，格式如下：\n" +
    "{\n" +
    "\"reader_result\": \"success\",\t//保存错误信息描述，success：成功，其它：失败描述\n" +
    "\"http_result\": \"\",\t\t\t//url请求返回信息\n" +
    "\"content_size\": \"xxxx\",\t\t//上传流字节数\n" +
    "\"md5\": \"xxxx\",\t\t\t//上传ofd文件的md5码\n" +
    "}\n", saveFileRetResult);
function mergeFiles() {
    xReader.mergeFiles('');
}
var mergeFiles = new CreateFunction(
    "功能说明：\n" +
    "合并两个及以上OFD文件为一个新的OFD文件。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件合并。\n" +
    "接口原型：\n" +
    "int mergeFiles(string strJson);\n" +
    "参数说明：\n" +
    "(1)strJson：string，合并文件信息字符串。\n" +
    "返回值：\n" +
    "0：成功；其它值：失败", mergeFiles);
/*function turnToPage() {
    xReader.turnToPage('');
}
var turnToPage = new CreateFunction(
    "功能说明：\n" +
    "页码跳转到当前打开文档的指定页。提供gotoPage与turnToPage两个可调用接口。\n" +
    "接口原型：\n" +
    "(1) void turnToPage(int nPageNum);\n" +
    "参数说明：\n" +
    "(1) nPageNum：int，表示要跳转的页码，从1开始。小于1则跳转到首页；大于总页数，则跳转到末页。\n" +
    "返回值：\n" +
    "无。\n", turnToPage);*/
function setUserAnnotPermission() {
    xReader.setUserAnnotPermission('');
}
var setUserAnnotPermission = new CreateFunction(
    "功能说明：\n" +
    "\t设置即将打开的文档的批注操作权限。\n" +
    "特殊说明：\n" +
    "在下次启动插件时需要重新设置权限。\n" +
    "接口原型：\n" +
    "void setUserAnnotPermission(string strJson);\n" +
    "参数说明：\n" +
    "(1)\tstrJson：string，批注操作权限Json字符串。\n" +
    "参数\t可选值\t说明\n" +
    "userid\t\t用户ID\n" +
    "datatag\t\t暂无意义（备用）可以为空值或者不填写\n" +
    "annottype\tFreeText\t文本批注\n" +
    "\tStamp\t图章\n" +
    "\tAffix\t人名章\n" +
    "\tLine\t直线\n" +
    "\tPolyLine\t折线\n" +
    "\tTablet\t手写签批\n" +
    "\tHighlight\t高亮注释\n" +
    "\tChapter\t文号章\n" +
    "operation\tannotmove\t移动（包括整体移动和局部拖拽）\n" +
    "\tannotedit\t编辑（包括文字编辑和属性编辑）\n" +
    "\tannotdelete\t删除（包括删除当前注释以及所有注释）\n" +
    "返回值：\n" +
    "无。\n", setUserAnnotPermission);
function setUserId() {
    xReader.setUserId('');
}
var setUserId = new CreateFunction(
    "功能说明：\n" +
    "设置用户id。\n" +
    "特殊说明：\n" +
    "关闭插件后置空。\n" +
    "接口原型：\n" +
    "boolean setUserId(string strUserID);\n" +
    "参数说明：\n" +
    "(1) strUserID：string，用户id。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n", setUserId);
function GetConfigInfo() {
    xReader.GetConfigInfo('');
}
var GetConfigInfo = new CreateFunction(
    "功能说明：\n" +
    "获取配置信息。\n" +
    "接口原型：\n" +
    "string GetConfigInfo(string configName);\n" +
    "参数说明：\n" +
    "(1) configName：string，配置项。可取值tablet.fullsign.userwidth（签字笔粗细）、或tablet.fullsign.color（签字笔颜色）、tablet.fullsign.pentype（签字笔类型）。\n" +
    "返回值：\n" +
    "配置信息字符串。\n", GetConfigInfo);
function version() {
    xReader.version();
}
var version = new CreateFunction(
    "功能说明：\n" +
    "提供该插件版本信息。对比版本号差异，判断是否更新版本。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1) string version();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "插件版本字符串信息。例：3.0.2024.0101，2024.0101为版本更新日期。\n", version);

function getAppVersion() {
    xReader.getAppVersion();
}
var getAppVersion = new CreateFunction(
    "功能说明：\n" +
    "提供该插件版本信息。对比版本号差异，判断是否更新版本。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1) string getAppVersion();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "插件版本字符串信息。例：3.0.2024.0101，2024.0101为版本更新日期。\n", getAppVersion);
function GetCurrentAppPID() {
    xReader.GetCurrentAppPID();
}
var GetCurrentAppPID = new CreateFunction(
    "功能说明：\n" +
    "获取当前进程PID。\n" +
    "接口原型：\n" +
    "(1) int GetCurrentAppPID();\n" +
    "参数说明：\n" +
    "无。\n", GetCurrentAppPID);

//广西
function exportText() {
    xReader.exportText();
}
var exportText = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开的OFD或PDF文档中的全部文本内容。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)string exportText();\n" +
    "(2)string getDocumentText();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "文档中的全部文本内容字符串。\n", exportText);

function readerFullScreen() {
    xReader.readerFullScreen();
}
var readerFullScreen = new CreateFunction(
    "功能说明：\n" +
    "设置全屏显示模式。\n" +
    "特殊说明：\n" +
    "需要退出全屏时将鼠标移至页面上中区域，会悬浮出关闭按钮，点击即可退出全屏模式。\n" +
    "接口原型：\n" +
    "void readerFullScreen();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", readerFullScreen);
function AddChapter() {
    xReader.AddChapter();
}
var AddChapter = new CreateFunction(
    "功能说明：\n" +
    "打开添加文号章对话框。\n" +
    "特殊说明：\n" +
    "当前有打开文档，且打开文档为ofd时有效。\n" +
    "接口原型：\n" +
    "void AddChapter();\n" +
    "参数说明：\n" +
    "无。\t\n" +
    "返回值：\n" +
    "无。\n", AddChapter);

function addImageStamp() {
    xReader.addImageStamp();
}
var addImageStamp = new CreateFunction(
    "功能说明：\n" +
    "打开添加图章对话框\n" +
    "特殊说明：\n" +
    "当前有打开文档，且打开文档为ofd时有效。\n" +
    "接口原型：\n" +
    "void addImageStamp();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", addImageStamp);

function  addImageStamp1() {
    xReader.addImageStamp('');
}
var  addImageStamp1 = new CreateFunction(
    "功能说明：\n" +
    "将指定路径的图片当做橡皮章添加到当前ofd文件中，位置待定，调用后此图片会跟随鼠标移动，鼠标移动到合适的位置点击即可完成橡皮章的添加。\n" +
    "接口原型：\n" +
    "boolean addImageStamp(string fileurl);\n" +
    "参数说明：\n" +
    "(1) fileurl：string，文件路径，目前仅支持本地路径。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。\n",  addImageStamp1);

function saveBase64File() {
    xReader.saveBase64File();
}
var saveBase64File = new CreateFunction(
    "功能说明：\n" +
    "获取当前文件的base64文件流。\n" +
    "接口原型：\n" +
    "string saveBase64File();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "当前打开文件的base64文件流（无任何前后缀）。\n", saveBase64File);

function saveBase64FilebyIndex() {
    xReader.saveBase64FilebyIndex('');
}
var saveBase64FilebyIndex = new CreateFunction(
    "功能说明：\n" +
    "获取当前文件指定页面的base64文件流。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件。页面范围是多个页面，返回的是这多个页面的base64文件流，不会以string数组的形式返回。\n" +
    "接口原型：\n" +
    "string saveBase64FilebyIndex(string strPageindex);\n" +
    "参数说明：\n" +
    "(1)strPageRange：页面范围，从1开始，相邻页面中间用‘-’隔开，不相邻页面用‘,’隔开。\n" +
    "返回值：\n" +
    "当前文件指定页面的base64文件流（无任何前后缀）。\n", saveBase64FilebyIndex);

function openBase64File() {
    xReader.openBase64File('');
}
var openBase64File = new CreateFunction(
    "功能说明：\n" +
    "打开base64文件流的文件。\n" +
    "接口原型：\n" +
    "boolean openBase64File(string stream);\n" +
    "参数说明：\n" +
    "(1) stream：base64文件流\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）\n", openBase64File);//2024.1.31 mlj fix

function openContinuousFile() {
    xReader.openContinuousFile('');
}
var openContinuousFile = new CreateFunction(
    "功能说明：\n" +
    "打开接续文档。即将多个文档按顺序合成一个文档打开。\n" +
    "接口原型：\n" +
    "int openContinuousFile(string strFileInfo);\n" +
    "参数说明：\n" +
    "(1)strFileInfo：string，接续文档信息Json格式字符串。\n" +
    "返回值：\n" +
    "调用接口是否成功（0：成功，其他值：失败）。\n", openContinuousFile);

function AddChapterByIDAndUrl() {
    xReader.AddChapterByIDAndUrl('');
}
var AddChapterByIDAndUrl = new CreateFunction(
    "功能说明：\n" +
    "直接将文号章添加到当前打开的文档中。提供以模板ID方式添加（已有Json模板文件），和以导入xml模板方式添加（生成Json模板文件）两种方式。\n" +
    "特殊说明：\n" +
    "当前有打开文档，且打开文档为ofd时有效。\n" +
    "接口原型：\n" +
    "string AddChapterByIDAndUrl(string strJson);\n" +
    "参数说明：\n" +
    "(1) strJson：string，文号章信息Json字符串。\t\n" +
    "返回值：\n" +
    "文号章模板ID字符串，即Json模板无后缀文件名。以导入xml模板方式添加时会在安装目录下“xReader\\Resource\\Stamp\\docNumStamp\\”生成x.Json模板文件。\n", AddChapterByIDAndUrl);

function docPropertiesDlg() {
    xReader.docPropertiesDlg();
}
var docPropertiesDlg = new CreateFunction(
    "功能说明：\n" +
    "打开当前打开文档属性（元数据）对话框。可进行文档信息设置、元数据设置、权限修改等。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件打开文档属性对话框。\n" +
    "接口原型：\n" +
    "void docPropertiesDlg();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", docPropertiesDlg);


function onOffToolBar() {
    xReader.onOffToolBar('');
}
var onOffToolBar = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏当前文档的工具栏。\n" +
    "接口原型：\n" +
    "void onOffToolBar(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffToolBar);


function isToolBarShowed() {
    xReader.isToolBarShowed();
}
var isToolBarShowed = new CreateFunction(
    "功能说明： \n" +
    "获取当前UI界面工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isToolBarShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isToolBarShowed);
function onOffNavBar() {
    xReader.onOffNavBar('');
}
var onOffNavBar = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面导航栏窗口。\n" +
    "接口原型：\n" +
    "void onOffNavBar(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffNavBar);
function navBarShowed() {
    xReader.navBarShowed();
}
var navBarShowed = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面导航栏窗口。\n" +
    "接口原型：\n" +
    "void onOffNavBar(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", navBarShowed);

function onOffFileTool() {
    xReader.onOffFileTool('');
}
var onOffFileTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的文件子工具栏。\n" +
    "接口原型：\n" +
    "void onOffFileTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffFileTool);
function isFileToolShowed() {
    xReader.isFileToolShowed();
}
var isFileToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取工具栏中文件子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isFileToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isFileToolShowed);

function onOffSignAndWaterMrksTool() {
    xReader.onOffSignAndWaterMrksTool('');
}
var onOffSignAndWaterMrksTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的签章和水印子工具栏。\n" +
    "特殊说明：\n" +
    "仅支持当前打开为OFD文件时控制其显示或隐藏，PDF文件永久隐藏。\n" +
    "接口原型：\n" +
    "void onOffSignAndWaterMrksTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffSignAndWaterMrksTool);
function isSignAndWaterMrksToolShowed() {
    xReader.isSignAndWaterMrksToolShowed();
}
var isSignAndWaterMrksToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取UI界面工具栏中的签章和水印子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isSignAndWaterMrksToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isSignAndWaterMrksToolShowed);

function onOffAnnoTool() {
    xReader.onOffAnnoTool('');
}
var onOffAnnoTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的注释子工具栏。\n" +
    "特殊说明：\n" +
    "仅支持当前打开为OFD文件时控制其显示或隐藏，PDF文件永久隐藏。\n" +
    "接口原型：\n" +
    "void onOffAnnoTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffAnnoTool);

function isAnnoToolShowed() {
    xReader.isAnnoToolShowed();
}
var isAnnoToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取UI界面工具栏中的注释子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isAnnoToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isAnnoToolShowed);
function onOffZoomModeTool() {
    xReader.onOffZoomModeTool('');
}
var onOffZoomModeTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的缩放模式子工具栏。\n" +
    "接口原型：\n" +
    "void onOffZoomModeTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffZoomModeTool);

function isZoomModeShowed() {
    xReader.isZoomModeShowed();
}
var isZoomModeShowed = new CreateFunction(
    "功能说明：\n" +
    "\t获取UI界面工具栏中的缩放模式子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isZoomModeShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isZoomModeShowed);
function onOffSelectTool() {
    xReader.onOffSelectTool('');
}
var onOffSelectTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的选择子工具栏。\n" +
    "接口原型：\n" +
    "void onOffSelectTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffSelectTool);
function isSelectToolShowed() {
    xReader.isSelectToolShowed();
}
var isSelectToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取UI界面工具栏中的选择子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isSelectToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isSelectToolShowed);

function onOffSearchTool() {
    xReader.onOffSearchTool('');
}
var onOffSearchTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的搜索子工具栏。\n" +
    "接口原型：\n" +
    "void onOffSearchTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffSearchTool);

function isSearchToolShowed() {
    xReader.isSearchToolShowed();
}
var isSearchToolShowed = new CreateFunction(
    "功能说明：\n" +
    "\t获取UI界面工具栏中的搜索子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isSearchToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isSearchToolShowed);
function onOffPageTool() {
    xReader.onOffPageTool('');
}
var onOffPageTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的页码子工具栏。\n" +
    "接口原型：\n" +
    "void onOffPageTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffPageTool);
function isPageToolShowed() {
    xReader.isPageToolShowed();
}
var isPageToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取UI界面工具栏中的页码子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isPageToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isPageToolShowed);

function onOffZoomTool() {
    xReader.onOffZoomTool('');
}
var onOffZoomTool = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面工具栏中的缩放子工具栏。\n" +
    "接口原型：\n" +
    "void onOffZoomTool(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffZoomTool);
function isZoomToolShowed() {
    xReader.isZoomToolShowed();
}
var isZoomToolShowed = new CreateFunction(
    "功能说明：\n" +
    "获取工具栏中缩放子工具栏的可见性。\n" +
    "接口原型：\n" +
    "boolean isZoomToolShowed();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "true：可见；false：不可见。\n", isZoomToolShowed);

function setNavigatorVisible() {
    xReader.setNavigatorVisible('', '');
}
var setNavigatorVisible = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏UI界面导航栏中的子项。\n" +
    "接口原型：\n" +
    "void setNavigatorVisible(string strCompName, string strVisible);\n" +
    "参数说明：\n" +
    "(1)strCompName：string，导航栏中的子项名称，见下方导航栏子项标识列表。\n" +
    "(2)strVisible：string，控制显示或隐藏，\"true\"-显示，\"false\"-隐藏,'1'-显示，'0'-隐藏\n" +
    "导航栏子项标识列表\n" +
    "按钮或组件标识(CompName)	说明\n" +
    "vn_rcfile	导航栏-最近打开文件\n" +
    "vn_onav	导航栏-导航面板\n" +
    "vn_search	导航栏-搜索\n" +
    "vn_outline	导航栏-大纲\n" +
    "vn_thumbnail	导航栏-缩略图\n" +
    "vn_customtag	导航栏-语义树\n" +
    "vn_bookmark	导航栏-书签\n" +
    "vn_annotation	导航栏-注释\n" +
    "vn_watermark	导航栏-水印\n" +
    "vn_signature	导航栏-签名|印章\n" +
    "vn_multidoc	导航栏-多文档\n" +
    "vn_attachment	导航栏-附件\n" +
    "vn_fileversion	导航栏-多版本\n" +
    "vn_layers	导航栏-图层\n" +
    "vn_img	导航栏-图像管理\n" +
    "返回值：\n" +
    "无。\n", setNavigatorVisible);

function setSingleMode() {
    xReader.setSingleMode('');
}
var setSingleMode = new CreateFunction(
    "功能说明：\n" +
    "设置文档显示模式。单文件模式：只允许打开一个文件，即打开一个新文档时将关闭当前已有的文件，用以节省内存。多文件模式：允许同时打开多个文件，通过切换页签显示。\n" +
    "特殊说明：\n" + 
    "设置完成后永久生效，关闭插件后下次打开也会使用此配置。 也可使用setConfigInfo(\"reader.singlemode\", bSingleMode)或setConfigInfo(\"singlemode\", bSingleMode)代替。\n" +
    "接口原型：\n" +
    "void setSingleMode(boolean bSingleMode);\n" +
    "参数说明：\n" +
    "(1)bSingleMode，boolean，控制是否为单文件模式，true-单文件，false-多文件。默认为多文件模式。\n" +
    "返回值：\n" +
    "无。\n", setSingleMode);

function getMetaDataWindow() {
    xReader.getMetaDataWindow();
}
var getMetaDataWindow = new CreateFunction(
    "功能说明：\n" +
    "打开当前打开文档元数据对话框。可进行元数据设置、权限修改等。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件打开元数据对话框。\n" +
    "接口原型：\n" +
    "void getMetaDataWindow();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "无。\n", getMetaDataWindow);

function getUserId() {
    xReader.getUserId();
}
var getUserId = new CreateFunction(
    "功能说明：\n" +
    "获取用户id。\n" +
    "接口原型：\n" +
    "string getUserId();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "用户id字符串。\n", getUserId);

function SetFreeTextFontsGather() {
    xReader.SetFreeTextFontsGather('');
}
var SetFreeTextFontsGather = new CreateFunction(
    "功能说明：\n" +
    "设置文本批注时，字体下拉框内的可选字体。\n" +
    "特殊说明\n" +
    "此设置会保存到临时配置文件，在下次启动时仍然生效。\n" +
    "接口原型：\n" +
    "void SetFreeTextFontsGather(QString strFonts);\n" +
    "参数说明：\n" +
    "(1) strFonts：string，字体集合，多个字体之间用英文逗号间隔。\n" +
    "返回值：\n" +
    "无。\n", SetFreeTextFontsGather);

function AddFreeTextFontsGather() {
    xReader.AddFreeTextFontsGather('');
}
var AddFreeTextFontsGather = new CreateFunction(
    "功能说明：\n" +
    "添加文本批注时字体下拉框内的可选字体。\n" +
    "特殊说明:\n" +
    "此设置会保存到临时配置文件，在下次启动时仍然生效。\n" +
    "接口原型：\n" +
    "void AddFreeTextFontsGather(QString strFonts);\n" +
    "参数说明：\n" +
    "(1) strFonts：string，字体集合，多个字体之间用英文逗号间隔。\n" +
    "返回值：\n" +
    "无。\n", AddFreeTextFontsGather);
function SubFilterFontsGather() {
    xReader.SubFilterFontsGather('');
}
var SubFilterFontsGather = new CreateFunction(
    "功能说明：\n" +
    "删除文本批注时字体下拉框内的可选字体。\n" +
    "特殊说明\n" +
    "此设置会保存到临时配置文件，在下次启动时仍然生效。\n" +
    "接口原型：\n" +
    "void SubFilterFontsGather(QString strFonts);\n" +
    "参数说明：\n" +
    "(1) strFonts：string，字体集合，多个字体之间用英文逗号间隔。\n" +
    "返回值：\n" +
    "无。\n", SubFilterFontsGather);
function onOffMenuBarPermanently() {
    xReader.onOffMenuBarPermanently('');
}
var onOffMenuBarPermanently = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏插件的菜单栏，设置后对所有文档生效，在插件关闭前永久保持生效。\n" +
    "特殊说明：\n" +
    "调用该接口后，设置onOffMenuBar、setCompositeVisible('menubar','')、setCompositeVisible('menu','')临时配置工具栏无效。\n" +
    "接口原型：\n" +
    "void onOffMenuBarPermanently(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：bool，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffMenuBarPermanently);

function onOffToolMenuPermanently() {
    xReader.onOffToolMenuPermanently('', '');
}
var onOffToolMenuPermanently = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏插件中工具栏中指定子工具栏，设置后对所有文档生效，在插件关闭前永久保持生效。\n" +
    "特殊说明：\n" +
    "调用该接口后，设置onOffFileTool、onOffZoomTool、onOffZoomModeTool、onOffPageTool、onOffSelectTool、onOffSearchTool、onOffSignAndWaterMrksTool、onOffAnnoTool 临时配置工具栏无效；调用该接口隐藏所有子工具栏后，工具栏会被自动隐藏，同理在工具栏隐藏状态下，可通过调用该接口显示单独的子工具栏；通过onOffToolBarPermanently('true')设置工具栏状态会覆盖所有子工具栏的状态为显示，同理onOffToolBarPermanently('false')也会覆盖所有子工具栏状态为隐藏。\n" +
    "接口原型：\n" +
    "void onOffToolMenuPermanently(string strToolName, boolean bVisible); \n" +
    "参数说明：\n" +
    "(1) strToolName：string，子工具栏名称，可选值如下表\n" +
    "可选值\t对应子工具栏\n" +
    "\"FileTool\"\t文件\n" +
    "\"SignAndWaterMrksTool\"\t签章和水印\n" +
    "\"AnnoTool\"\t注释\n" +
    "\"ZoomModeTool\"\t缩放模式\n" +
    "\"PageLayout\"\t页面布局\n" +
    "\"SelectTool\"\t选择\n" +
    "\"SearchTool\"\t搜索\n" +
    "\"PageTool\"\t页码\n" +
    "\"ZoomTool\"\t缩放\n" +
    "\"RotateTool\"\t旋转\n" +
    "\"EditTool\"\t编辑\n" +
    "\n" +
    "(2) bVisible：bool，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffToolMenuPermanently);


function onOffToolBarPermanently() {
    xReader.onOffToolBarPermanently('');
}
var onOffToolBarPermanently = new CreateFunction(
    "功能说明：\n" +
    "显示或隐藏插件的工具栏，设置后对所有文档生效，在插件关闭前永久保持生效。\n" +
    "特殊说明：\n" +
    "调用该接口后，设置onOffToolBar、onOffFileTool、onOffZoomTool、onOffZoomModeTool、onOffPageTool、onOffSelectTool、onOffSearchTool、onOffSignAndWaterMrksTool、onOffAnnoTool 、setCompositeVisible('toolbar','')临时配置工具栏无效，通过onOffToolMenuPermanently配置工具栏中子工具栏生效。\n" +
    "接口原型：\n" +
    "void onOffToolBarPermanently(boolean bVisible);\n" +
    "参数说明：\n" +
    "(1) bVisible：boolean，控制显示或隐藏，true-显示，false-隐藏。\n" +
    "返回值：\n" +
    "无。\n", onOffToolBarPermanently);
//2024.4.2 mlj add
function getSearchResultAmount() {
    xReader.getSearchResultAmount('','','');
}
var getSearchResultAmount = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开文档中关键字数量。\n" +
    "接口原型：\n" +
    "int getSearchResultAmount(string strKeyword, boolean bMatchWholeWord, boolean bMatchCase);\n" +
    "参数说明：\n" +
    "(1) strKeyword：string，需搜索的关键字字符串。\n" +
    "(2) bMatchWholeWord：boolean，是否全词匹配。\n" +
    "(3) bMatchCase：boolean，是否区分大小写。\n" +
    "返回值：\n" +
    "当前打开文档中关键字数量。未打开文档时调用返回-1。\n", getSearchResultAmount);
//2024.4.2 mlj add
function getTextCoordinates() {
    xReader.getTextCoordinates('','','','');
}
var getTextCoordinates = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开文档中关键字的坐标信息。\n" +
    "接口原型：\n" +
    "string getTextCoordinates(string strKeyword, int pageIndex, boolean bMatchWholeWord, boolean bMatchCase);\n" +
    "参数说明：\n" +
    "(1) strKeyword：string，需搜索的关键字字符串。\n" +
    "(2) pageIndex：int，需搜索的页面索引，从0开始。\n" +
    "(3) bMatchWholeWord：boolean，是否全词匹配。\n" +
    "(4) bMatchCase：boolean，是否区分大小写。\n" +
    "返回值：\n" +
    "当前打开文档中关键字的坐标信息字符串，结构如下所示：\n" +
    "{\"poslist\":\n" +
    "[{\n" +
    "\"x0\":60.30,\t\t//左上角横坐标\n" +
    "\"y0\":215.31,\t\t//左上角纵坐标\n" +
    "\"x1\":65.06,\t\t//右上角横坐标\n" +
    "\"y1\":221.26\t\t//右上角纵坐标\n" +
    "},\n" +
    "{\n" +
    "\"x0\"60.30,\n" +
    "\"y0\":247.06,\n" +
    "\"x1\":65.06,\n" +
    "\"y1\":253.01\n" +
    "}]\n" +
    "}", getTextCoordinates);
//2024.4.2 mlj add
function ImportAttachment() {
    xReader.ImportAttachment('');
}
var ImportAttachment = new CreateFunction(
    "功能说明：\n" +
    "将附件导入至出当前打开的OFD文档里。\n" +
    "特殊说明：\n" +
    "仅支持OFD文件导入附件。\n" +
    "接口原型：\n" +
    "int ImportAttachment(string strFilePath);\n" +
    "参数说明：\n" +
    "(1) strFilePath：string，本地附件的绝对路径。\n" +
    "返回值：\n" +
    "1：成功；0：失败；\n", ImportAttachment);
//2024.4.2 mlj add
function getIPMacAddress() {
    xReader.getIPMacAddress();
}
var getIPMacAddress = new CreateFunction(
    "\t功能说明：\n" +
    "\t获取本机IP和MAC地址信息。\n" +
    "\t接口原型：\n" +
    "\tstring getIPMacAddress();\n" +
    "\t参数说明：\n" +
    "\t无。\n" +
    "\t返回值说明：\n" +
    "\tIP和MAC地址json字符串。\n" +
    "\t调用示例：\n" +
    "\txReader.getIPMacAddress();\n", getIPMacAddress);

function getLocalHostName() {
    xReader.getLocalHostName();
}
var getLocalHostName = new CreateFunction(
    "功能说明：\n" +
    "获取本地计算机名。\n" +
    "接口原型：\n" +
    "string getLocalHostName();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值说明：\n" +
    "本地计算机名。\n" +
    "调用示例：\n" +
    "xReader.getLocalHostName();\n", getLocalHostName);

//2024.4.2 mlj add
function getSignaturesCount() {
    xReader.getSignaturesCount();
}
var getSignaturesCount = new CreateFunction(
    "功能说明：\n" +
    "获取当前ofd文档中签章个数。\n" +
    "接口原型：\n" +
    "int getSignaturesCount();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "当前ofd文档中签章个数。\n", getSignaturesCount);
//2024.4.2 mlj add
function validSignature() {
    xReader.validSignature('','');
}
var validSignature = new CreateFunction(
    "功能说明：\n" +
    "批量验证当前ofd文档中的签章，并以对话框显示验证结果。\n" +
    "接口原型：\n" +
    "void validSignature(boolean bOnline, string strSignIds);\n" +
    "参数说明：\n" +
    "(1) bOnline，boolean，是否在线验证。\n" +
    "(2) strSignIds，string，指定多个签章标识时，逗号分隔的签名的标识队列（数字与导航栏中签章列表对应，从1开始）。为空或“all”时验证所有签名。\n" +
    " \n" +
    "返回值：\n" +
    "无。\n", validSignature);

//2024.4.10 mlj add
function decryptAllSealsEx() {
    xReader.decryptAllSealsEx('');
}
var decryptAllSealsEx = new CreateFunction(
    "功能说明：\n" +
    "在当前打开的OFD文档上进行印章脱密。\n" +
    "接口原型：\n" +
    "string decryptAllSealsEx(string decryptInfo);\n" +
    "参数说明：\n" +
    "(1) decryptInfo：string，脱密信息Json字符串。\n" +
    "返回值：\n" +
    "若脱密后保存base64数据成功则返回含base64数据的Json字符串如：{\"base64stream\":\"xxxxxxxxxxx\"}，否则返回空。\n", decryptAllSealsEx);
//2024.4.10 mlj add
function setPrintCompositeChecked() {
    xReader.setPrintCompositeChecked('', '');
}
var setPrintCompositeChecked = new CreateFunction(
    "功能说明：\n" +
    "设置打印对话框中复选框组件的默认值（是否选中）。\n" +
    "特殊说明：\n" +
    "在下次启动插件时需要重新配置。打印内容设置仅OFD文档有效。\n" +
    "接口原型：\n" +
    "void setPrintCompositeChecked(string cmpName, boolean bChecked);\n" +
    "参数说明：\n" +
    "(1) cmpName：string，组件名称。\n" +
    "(2) bChecked：boolean，是否选中，true表示选中，false表示不选中。\n" +
    "组件列表：\n" +
    "组件名称\t说明\n" +
    "print_mask\t同“打印内容”-“掩膜”，指打印输出内容中打印掩膜是否生效。true则不打印掩膜下内容。\n" +
    "print_seal\t同“打印内容”-“签章”，指打印输出内容中是否包含签章内容。\n" +
    "print_template\t同“打印内容”-“模板”，指打印输出内容中是否包含模板内容。不输出模板内容时常用于套打。\n" +
    "print_annots\t同“打印内容”-“注释”，指打印输出内容中是否包含注释内容。\n" +
    "print_watermark\t同“打印内容”-“水印”，指打印输出内容中是否包含水印内容。\n" +
    "print_reverse\t同“打印处理”-“逆序打印”。\n" +
    "print_autocenter\t同“打印处理”-“自动居中”。\n" +
    "print_gray\t同“打印处理”-“灰度打印”。\n" +
    "print_autorotate\t同“打印处理”-“自动旋转”。\n" +
    "print_border\t同“打印处理”-“打印边框”。\n" +
    "返回值：\n" +
    "无。\n", setPrintCompositeChecked);

//2024.4.10 mlj add
function setDataTag() {
    xReader.setDataTag('');
}
var  setDataTag = new CreateFunction(
    "功能说明：\n" +
    "设置数据标签（用于注释）。\n" +
    "特殊说明：\n" +
    "该信息将同setUserId一起用于注释操作。如同时调用了setUserId和setDataTag，则需要UserId，DataTag都相同，此用户才对此注释有操作权限。关闭插件后置空。\n" +
    "接口原型：\n" +
    "void setDataTag(string dataTag);\n" +
    "参数说明：\n" +
    "(1) dataTag：string，数据标签。\n" +
    "返回值：\n" +
    "无。\n",  setDataTag);

function getDataTag() {
    xReader.getDataTag();
}
var  getDataTag = new CreateFunction(
    "功能说明：\n" +
    "获取数据标签。\n" +
    "接口原型：\n" +
    "string getDataTag();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "数据标签字符串。\n",  getDataTag);

//2024.4.11 mlj add
function decryptAllSeals() {
    xReader.decryptAllSeals('', '');
}
var  decryptAllSeals = new CreateFunction(
    "功能说明：\n" +
    "在当前打开的OFD文档上进行印章脱密，以另存对话框方式选择路径存到本地。\n" +
    "接口原型：\n" +
    "void decryptAllSeals(boolean bBlack, string strFileName);\n" +
    "参数说明：\n" +
    "(1)bBlack，boolean，是否文字变黑字印章变灰，true：变黑，false：不变。\n" +
    "(2)strFileName：string，文件名称，另存对话框里自动署名。\n" +
    "返回值：\n" +
    "无。",  decryptAllSeals);

//2024.4.11 mlj add
function GetReaderRegStatus() {
    xReader.GetReaderRegStatus();
}
var  GetReaderRegStatus = new CreateFunction(
    "功能说明：\n" +
    "获取阅读器注册状态。\n" +
    "接口原型：\n" +
    "int GetReaderRegStatus();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "0：已注册，其它值表示未注册。\n",  GetReaderRegStatus);
//2024.4.11 mlj add
function getPageTxt() {
    xReader.getPageTxt('');
}
var getPageTxt = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开的OFD或PDF文档中的当前页文本内容。\n" +
    "接口原型：\n" +
    "string getPageTxt(int pageIndex);\n" +
    "参数说明：\n" +
    "(1) pageIndex：int，需获取文本的页面索引，从0开始。\n" +
    "返回值：\n" +
    "当前页面的文本内容字符串。\n",  getPageTxt);

//2024.4.11 mlj add
function getDocumentText() {
    xReader.getDocumentText();
}
var  getDocumentText = new CreateFunction(
    "功能说明：\n" +
    "获取当前打开的OFD或PDF文档中的全部文本内容。共2个接口可供调用。\n" +
    "接口原型：\n" +
    "(1)string exportText();\n" +
    "(2)string getDocumentText();\n" +
    "参数说明：\n" +
    "无。\n" +
    "返回值：\n" +
    "文档中的全部文本内容字符串。\n",  getDocumentText);

//2024.4.15 mlj add
function setPrintCompositeEnable() {
    xReader.setPrintCompositeEnable('', '');
}
var  setPrintCompositeEnable = new CreateFunction(
    "功能说明：\n" +
    "设置打印对话框中组件是否可用。\n" +
    "特殊说明：\n" +
    "在下次启动插件时需要重新配置。打印内容设置仅OFD文档有效。\n" +
    "接口原型：\n" +
    "void setPrintCompositeEnable(string cmpName, boolean bEnable);\n" +
    "参数说明：\n" +
    "(1)cmpName：string，组件名称。\n" +
    "(2)bEnable：boolean，是否可用，true表示可用，false表示不可用。\n" +
    "组件列表：\n" +
    "组件名称\t说明\n" +
    "print_mask\t同“打印内容”-“掩膜”，指打印输出内容中打印掩膜是否生效。\n" +
    "print_seal\t同“打印内容”-“签章”，指打印输出内容中是否包含签章内容。\n" +
    "print_template\t同“打印内容”-“模板”，指打印输出内容中是否包含模板内容。不输出模板内容时常用于套打。\n" +
    "print_annots\t同“打印内容”-“注释”，指打印输出内容中是否包含注释内容。\n" +
    "print_watermark\t同“打印内容”-“水印”，指打印输出内容中是否包含水印内容。\n" +
    "print_reverse\t同“打印处理”-“逆序打印”。\n" +
    "print_autocenter\t同“打印处理”-“自动居中”。\n" +
    "print_gray\t同“打印处理”-“灰度打印”。\n" +
    "print_autorotate\t同“打印处理”-“自动旋转”。\n" +
    "print_border\t同“打印处理”-“打印边框”。\n" +
    "print_copies\t同“打印处理”-“打印份数”。\n" +
    "返回值：\n" +
    "无。",  setPrintCompositeEnable);
function setPrintCompositeEnabled() {
    xReader.setPrintCompositeEnabled('');
}
var  setPrintCompositeEnabled = new CreateFunction(
    "",  setPrintCompositeEnabled);


function registListener() {
    xReader.registListener('','callback','');
}
var registListener = new CreateFunction(
    "功能说明：\n" +
    "添加针对插件的监听函数（设置回调函数），控件的执行动作可以被外部监听脚本侦听，外部脚本可根据侦听所得参数进行后继操作。\n" +
    "特殊说明：\n" +
    "一个key只能设置一个回调函数，多次设置以第一次的设置生效。多个key可设置同一个回调函数。\n" +
    "接口原型：\n" +
    "string registListener(string key,string funcName, boolean bAfter);\n" +
    "参数说明：\n" +
    "(1)key：string型，需要被设置回调的功能标识。\n" +
    "(2)funcName：string型，回调函数名。说明：见xReaderNPAPI.js中默认回调函数callback，也可按相同方式自定义全局回调函数。\n" +
    "(3)bAfter：boolean型，是否监听事后事件，true为事后监听，false为事前监听（是否在操作后触发监听，有些函数需要在操作前被监听，如打印，有些操作需要在操作后被监听，如打开文件）。\n" +
    "\t功能标识列表\n" +
    "功能标识\t功能说明\n" +
    "open或f_open\t打开文件。\n" +
    "close\t关闭文件。\n" +
    "f_print\t打印文档。\n" +
    "sealsign\t签章。\n" +
    "f saveas\t保存文件。" +
    "返回值：\n" +
    "string 型，监听器标识id，可用于移除监听（可根据id调用unRegistListener取消监听）\n", registListener);

function unRegistListener() {
    xReader.unRegistListener('');
}
var unRegistListener = new CreateFunction(
    "功能说明：\n" +
    "移除针对插件的监听函数，该函数的输入参数应是registListener的返回值。\n" +
    "接口原型：\n" +
    "void unRegistListener(string id);\n" +
    "参数说明：\n" +
    "id：string型，需要移除的监听器标识（registListener接口的返回值）。\n" +
    "返回值说明：\n" +
    "无。", unRegistListener);








// ---------------------------打印接口-------------------------------------------
function setPrintSettings() {
    xReader.setPrintCopies('');
}
var setPrintSettings = new CreateFunction(
    "设置打印份数【设定后不可通过界面更改】", setPrintSettings);

function setPrintCopyNo() {
    xReader.setPrintCopyNo('');
}
var setPrintCopyNo = new CreateFunction(
    "设置打印份号", setPrintCopyNo);

function printFileCopies() {
    xReader.printFileCopies('');
}
var printFileCopies = new CreateFunction(
    "功能说明：\n" +
    "以指定份数直接打印文件（不弹出打印对话框）。\n" +
    "接口原型：\n" +
    "boolean printFileCopies(int nCopies);\n" +
    "参数说明：\n" +
    "(1)nCopies：int，打印份数。\n" +
    "返回值：\n" +
    "调用接口是否成功（true：成功，false：失败）。", printFileCopies);
function printFileBySetting() {
    xReader.printFileBySetting('');
}
var printFileBySetting = new CreateFunction(
    "设置打印份数和份数名称并打印文档", printFileBySetting);

function printFile2() {
    xReader.printFile2('');
}
var printFile2 = new CreateFunction(
    "根据打印参数打印文档", printFile2);
function printFileQuiet() {
    xReader.printFile('', '', '');
}
var printFileQuiet = new CreateFunction(
    "设置作业名、灰度打印和是否静默选项并打印文档", printFileQuiet);

function exitAfterPrint() {
    xReader.exitAfterPrint('');
}
var exitAfterPrint = new CreateFunction(
    "打印后退出", exitAfterPrint);


function setPrintCompsiteEnable() {
    xReader.setPrintCompsiteEnable('', '');
}
var setPrintCompsiteEnable = new CreateFunction(
    "设置打印界面中指定控件的可用状态【扩展：是否允许设置一组？】", setPrintCompsiteEnable);

function showPrintSetting() {
    xReader.showPrintSetting();
}
var showPrintSetting = new CreateFunction(
    "显示打印设置界面", showPrintSetting);
function isQuietPrinting() {
    xReader.isQuietPrinting();
}
var isQuietPrinting = new CreateFunction(
    "判断是否静默打印", isQuietPrinting);
function getPrinterNames() {
    xReader.getPrinterNames();
}
var getPrinterNames = new CreateFunction(
    "获取当前打印机名称【湖南省高级人民法院新增】", getPrinterNames);
function printCopies() {
    xReader.printCopies();
}
var printCopies = new CreateFunction(
    "获取文档打印份数", printCopies);

function getEnvelopePrintCopies() {
    xReader.getEnvelopePrintCopies();
}
var getEnvelopePrintCopies = new CreateFunction(
    "获取信封打印份数", getEnvelopePrintCopies);
function printSetting() {
    xReader.printSetting();
}
var printSetting = new CreateFunction(
    "获取打印设置数据", printSetting);
//-------------------------------打印接口----------------------------------



