doTest = function (res) {
    var str = JSON.stringify(res);
    console.log(str)
    // alert(str);
}

test_openFile1 = function (fileName) {
    openFile(fileName).then(
        function (res) {
            doTest(res);
        }
    )
}
test_openFile2 = function (fileName, onlyRead) {
    openFile(fileName, onlyRead).then(
        function (res) {
            doTest(res);
        }
    )
}
test_openFile3 = function (fileName, onlyRead, strSaveUrl) {
    openFile(fileName, onlyRead, strSaveUrl).then(
        function (res) {
            doTest(res);
        }
    )
}

test_closeFile = function () {
    closeFile().then(
        function (res) {
            doTest(res);
        }
    )
}

test_setCompositeVisible = function (compName, bVisible) {
    setCompositeVisible(compName, bVisible).then(
        function (res) {
            doTest(res);
        }
    )
}

test_saveFile1 = function (strURL) {
    saveFile(strURL).then(
        function (res) {
            doTest(res);
        }
    )
}
test_saveFile0 = function () {
    saveFile().then(
        function (res) {
            doTest(res);
        }
    )
}
test_printFile = function (strURL, bGray) {
    printFile(strURL, bGray).then(
        function (res) {
            doTest(res);
        }
    )
}

test_version = function () {
    version().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById("pluginVersion").value = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_hasSign = function () {
    hasSign().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById("hasSign-show").value = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_saveAs = function () {
    saveAs().then(
        function (res) {
            doTest(res);
        }
    )
}
test_getLogFilePath = function () {
    getLogFilePath().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById("getLogFilePath-show").value = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_addWaterMakerAnnot = function (xmlParam) {
    addWaterMakerAnnot(xmlParam).then(
        function (res) {
            doTest(res);
        }
    )
}
test_clearTrackInfo = function () {
    clearTrackInfo().then(
        function (res) {
            doTest(res);
        }
    )
}
test_getUserName = function () {
    getUserName().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById("getUserName-show").value = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_setUserName = function (userName) {
    setUserName(userName).then(
        function (res) {
            doTest(res);
        }
    )
}
test_setMetaData = function (id, value) {
    setMetaData(id, value).then(
        function (res) {
            doTest(res);
        }
    )
}
test_getMetaData = function (id) {
    getMetaData(id).then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById("getMetaData-show").innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_setZoomRadio = function (zoomFactor) {
    setZoomRadio(zoomFactor).then(
        function (res) {
            doTest(res);
        }
    )
}
test_getZoomRadio = function () {
    getZoomRadio().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('getZoomRadio-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_about = function () {
    about().then(
        function (res) {
            doTest(res);
        }
    )
}
test_closeAllFiles = function () {
    closeAllFiles().then(
        function (res) {
            doTest(res);
        }
    )
}
test_selectAll = function () {
    selectAll().then(
        function (res) {
            doTest(res);
        }
    )
}
test_zoomIn = function () {
    zoomIn().then(
        function (res) {
            doTest(res);
        }
    )
}
test_zoomOut = function () {
    zoomOut().then(
        function (res) {
            doTest(res);
        }
    )
}
test_getPageCount = function () {
    getPageCount().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('getPageCount-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_getCurrentPageNum = function () {
    getCurrentPageNum().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('getCurrentPageNum-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_gotoFirstPage = function () {
    gotoFirstPage().then(
        function (res) {
            doTest(res);
        }
    )
}
test_gotoLastPage = function () {
    gotoLastPage().then(
        function (res) {
            doTest(res);
        }
    )
}
test_gotoPrevPage = function () {
    gotoPrevPage().then(
        function (res) {
            doTest(res);
        }
    )
}
test_gotoNextPage = function () {
    gotoNextPage().then(
        function (res) {
            doTest(res);
        }
    )
}
test_setViewPreference = function (key, value) {
    setViewPreference(key, value).then(
        function (res) {
            doTest(res);
        }
    )
}
test_setSealId = function (id) {
    setSealId(id).then(
        function (res) {
            doTest(res);
        }
    )
}
test_sealDlg = function () {
    sealDlg().then(
        function (res) {
            doTest(res);
        }
    )
}
test_pdf2ofd = function (url, dpi) {
    pdf2ofd(url, dpi).then(
        function (res) {
            doTest(res);
        }
    )
}
test_printDlg = function () {
    printDlg().then(
        function (res) {
            doTest(res);
        }
    )
}
test_fitWidth = function () {
    fitWidth().then(
        function (res) {
            doTest(res);
        }
    )
}
test_fitPage = function () {
    fitPage().then(
        function (res) {
            doTest(res);
        }
    )
}
test_fitHeight = function () {
    fitHeight().then(
        function (res) {
            doTest(res);
        }
    )
}
test_zoomReset = function () {
    zoomReset().then(
        function (res) {
            doTest(res);
        }
    )
}
test_gotoPage = function (pageNum) {
    gotoPage(pageNum).then(
        function (res) {
            doTest(res);
        }
    )
}
test_onOffNavBar = function (state) {
    onOffNavBar(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_navBarShowed = function () {
    navBarShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('navBarShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffToolBar = function (state) {
    onOffToolBar(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isToolBarShowed = function () {
    isToolBarShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isToolBarShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffFileTool = function (state) {
    onOffFileTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isFileToolShowed = function () {
    isFileToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isFileToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffZoomTool = function (state) {
    onOffZoomTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isZoomToolShowed = function () {
    isZoomToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isZoomToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffZoomModeTool = function (state) {
    onOffZoomModeTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isZoomModeShowed = function () {
    isZoomModeShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isZoomModeShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}


test_onOffPageTool = function (state) {
    onOffPageTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isPageToolShowed = function () {
    isPageToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isPageToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffSelectTool = function (state) {
    onOffSelectTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isSelectToolShowed = function () {
    isSelectToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isSelectToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffSearchTool = function (state) {
    onOffSearchTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isSearchToolShowed = function () {
    isSearchToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isSearchToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffSignAndWaterMrksTool = function (state) {
    onOffSignAndWaterMrksTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isSignAndWaterMrksToolShowed = function () {
    isSignAndWaterMrksToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isSignAndWaterMrksToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_onOffAnnoTool = function (state) {
    onOffAnnoTool(state).then(
        function (res) {
            doTest(res);
        }
    )
}
test_isAnnoToolShowed = function () {
    isAnnoToolShowed().then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('isAnnoToolShowed-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_setCompositeEnable = function (compName, isEnable) {
    setCompositeEnable(compName, isEnable).then(
        function (res) {
            doTest(res);
        }
    )
}
test_getTaggedText = function (tagId) {
    getTaggedText(tagId).then(
        function (res) {
            if (responseText() !== "") {
                document.getElementById('getTaggedText-show').innerHTML = responseText();
                responseMsg = "";
            }
            doTest(res);
        }
    )
}
test_openSealDlg = function () {
    openSealDlg().then(
        function (res) {
            doTest(res);
        }
    )
}
test_onOffRightClick = function (bHide) {
    onOffRightClick().then(
        function (res) {
            doTest(res);
        }
    )
}
test_openPrintDlg = function (bHide) {
    openPrintDlg().then(
        function (res) {
            doTest(res);
        }
    )
}


tempFunc = function () {
    performClick(a).then(
        function (res) {
            doTest(res);
        }
    )
}

